<?php

namespace App\Http\Controllers\dashboard\agent;

use App\Http\Controllers\Controller;
use App\Models\Ruta;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Http;

class OrdersAgentController extends Controller
{
    public function index()
    {
        $title = "Orders - Agent | ";
        $rutas = Ruta::where('DSC_URL', '=', 'ListarOrdenesClientAgent')->get();

        $de = $_GET['fch_ini'] ?? date('Y-m-01');
        $fin = $_GET['fch_fin'] ?? date('Y-m-d');
        $act_pag_fac = $_GET['pag'] ?? 1;
        $sts = $_GET['sts'] ?? 2;
        $bus = $_GET['bus'] ?? '';

        $desde = date('d/m/Y', strtotime($de));
        $hasta = date('d/m/Y', strtotime($fin));

        //Listar ordenes
        foreach ($rutas as $ruta) {
            $response = Http::get(session('API_URL') . $ruta->URL_RUTA . $ruta->PAR1 . session('TKN_EMP') . $ruta->PAR2 . session('EMP_ID') . $ruta->PAR3 . '' . $ruta->PAR4 . session('usuario_data')['id'] . $ruta->PAR5 . $desde . $ruta->PAR6 . $hasta . $ruta->PAR7 . $act_pag_fac . $ruta->PAR8 . $sts . $ruta->PAR9 . $bus);
        }
        // print_r($response);
        // exit;

        if ($response->successful()) {
            $json = $response->json();

            if ($json['estado'] === 200) {
                $ordenes = $json['data'];
                $mensaje = $json['mensaje'];
            } else {
                $ordenes = '';
                $mensaje = $json['mensaje'];
            }
        }

        return view('dashboard.orders.index', compact('ordenes', 'mensaje'))->with('title', $title);
    }
}
