<?php

namespace App\Http\Controllers\dashboard\customer;

use App\Http\Controllers\Controller;
use App\Models\Ruta;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Http;

class ProfileCustomerController extends Controller
{
    public function index()
    {
        $title = "Profile - Customer | ";
        $rutas = Ruta::where('DSC_URL', '=', 'DetallePerfil')->get();

        //Perfil
        foreach ($rutas as $ruta) {
            $response = Http::get(session('API_URL') . $ruta->URL_RUTA . $ruta->PAR1 . session('TKN_EMP') . $ruta->PAR2 . session('EMP_ID') . $ruta->PAR3 . session('usuario_data')['id'] . $ruta->PAR4 . 1);
        }
        // print_r($response);
        // exit;

        if ($response->successful()) {
            $json = $response->json();

            if ($json['estado'] === 200) {
                $perfil = $json['data'];
            } else {
                $perfil = '';
            }
        }

        return view('dashboard.profile.index', compact('perfil'))->with('title', $title);
    }

    public function recovery()
    {
        $title = "Recovery Password - Website | ";


        return view("website.recovery.index")->with('title', $title);

    }

    public function recoverySend(Request $request)
    {
        $request->validate([
            'user' => 'required',
        ]);


        $usuario = $request->input('user');

        $title = "Profile - Customer | ";
        $rutas = Ruta::where('DSC_URL', '=', 'SolicitarRecuperacioPWD')->get();

        //Recuperar contraseña (Cliente)
        foreach ($rutas as $ruta) {
            $response = Http::get(session('API_URL') . $ruta->URL_RUTA . $ruta->PAR1 . session('TKN_EMP') . $ruta->PAR2 . session('EMP_ID') . $ruta->PAR3 . $usuario . $ruta->PAR4 . 1);
        }

        if ($response->successful()) {
            $json = $response->json();

            if ($json['estado'] === 200) {
                $mensaje = $json['mensaje'];
                return redirect()->back()->with('mensajeExito', $mensaje);
            } else {
                $mensaje = $json['mensaje'];
                return redirect()->back()->with('mensaje', $mensaje);
            }
        }

    }

    public function confirmation()
    {
        $title = "Confirmation - Website | ";

        session(['API_URL' => env('APIVELNEO_URL')]);

        if (isset($_GET['PAR']) ? $_GET['PAR'] : '') {

            $PAR = $_GET['PAR'] ?? '';

            $par = base64_decode($PAR);
            $partes = explode('|', $par);
            $token = $partes[0];
            $empID = $partes[1];
            $email = $partes[2];
            // print_r($email);
            // exit;

            $rutas = Ruta::where('DSC_URL', '=', 'ConfirmarSolicitudPWD')->get();

            foreach ($rutas as $ruta) {
                $response = Http::get(session('API_URL') . $ruta->URL_RUTA . $ruta->PAR1 . $token . $ruta->PAR2 . $empID . $ruta->PAR3 . $email . $ruta->PAR4 . 1);
            }
            // print_r($response);
            // exit;

            if ($response->successful()) {
                $json = $response->json();

                if ($json['estado'] === 200) {
                    $mensaje = $json['mensaje'];
                    return redirect()->back()->with('mensajeExito', $mensaje);
                } else {
                    $mensaje = $json['mensaje'];
                    return redirect()->back()->with('mensaje', $mensaje);
                }
            }

            return view("website.recovery.confirmation", compact('PAR'))->with('title', $title);
        } else {
            echo "<div style=\"position: fixed; top: 0; left: 0; width: 100%; height: 100%; background-color: rgba(0, 0, 0, 0.98); z-index: 12; color: white; display: flex; justify-content: center; align-items: center;\"><h1>Acceso denegado<h1></div>";
            return;
        }


    }

    public function updatedPwd(Request $request)
    {
        $request->validate([
            'pwd' => 'required',
            'pwdNew' => 'required',
        ]);


        $pwdAct = $request->input('pwd');
        $pwdNew = $request->input('pwdNew');

        $title = "Profile - Customer | ";
        $rutas = Ruta::where('DSC_URL', '=', 'ActualizarPwd')->get();

        //ActualizarPWD
        foreach ($rutas as $ruta) {
            $response = Http::get(session('API_URL') . $ruta->URL_RUTA . $ruta->PAR1 . session('TKN_EMP') . $ruta->PAR2 . session('EMP_ID') . $ruta->PAR3 . session('usuario_data')['correo'] . $ruta->PAR4 . $pwdAct . $ruta->PAR5 . $pwdNew . $ruta->PAR6 . 1);
        }
        // print_r($response);
        // exit;

        if ($response->successful()) {
            $json = $response->json();

            if ($json['estado'] === 200) {
                $mensaje = $json['mensaje'];
                $estado = 200;
            } else {
                $mensaje = $json['mensaje'];
                $estado = 400;
            }
        }

        return redirect()->back()->with([
            'mensajeAPI' => $mensaje,
            'estadoAPI' => $estado
        ]);
    }

    public function address()
    {
        $title = "My address - Customer | ";

        $rutas = Ruta::where('DSC_URL', '=', 'ListadoDirecciones')->get();

        foreach ($rutas as $ruta) {
            $response = Http::get(session('API_URL') . $ruta->URL_RUTA . $ruta->PAR1 . session('TKN_EMP') . $ruta->PAR2 . session('EMP_ID') . $ruta->PAR3 . session('usuario_data')['id']);
        }
        // print_r($response);
        // exit;

        if ($response->successful()) {
            $json = $response->json();

            if ($json['estado'] === 200) {
                $direcciones = $json['data'];
                $mensaje = $json['mensaje'];
            } else {
                $direcciones = '';
                $mensaje = $json['mensaje'];
            }
        }

        return view("dashboard.edit-address.index", compact('direcciones', 'mensaje'))->with('title', $title);

    }
    public function addressShow($id)
    {
        $title = "Edit address - Cu stomer | ";

        $rutas = Ruta::where('DSC_URL', '=', 'DetalleDireccionCustomer')->get();

        foreach ($rutas as $ruta) {
            $response = Http::get(session('API_URL') . $ruta->URL_RUTA . $ruta->PAR1 . session('TKN_EMP') . $ruta->PAR2 . session('EMP_ID') . $ruta->PAR3 . session('usuario_data')['id'] . $ruta->PAR4 . $id);
        }
        // print_r($response);
        // exit;
        if ($response->successful()) {
            $json = $response->json();

            if ($json['estado'] === 200) {
                $direccion = $json['data'];
                $mensaje = $json['mensaje'];
            } else {
                $direccion = '';
                $mensaje = $json['mensaje'];
            }
        }


        return view("dashboard.edit-address.show", compact('direccion', 'mensaje'))->with('title', $title);

    }
}
