<?php

namespace App\Http\Controllers\dashboard\vendor;

use App\Http\Controllers\Controller;
use App\Models\Ruta;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Http;

class AuthVendorController extends Controller
{
    public function login()
    {
        $title = "Login - Website | ";


        return view("website.auth.login")->with('title', $title);

    }

    public function login_post(Request $request)
    {
        $request->validate([
            'user' => 'required',
            'password' => 'required',
        ]);

        $rutas = Ruta::where('DSC_URL', '=', 'Login')->get();

        $user = $request->input('user');
        $password = $request->input('password');


        foreach ($rutas as $ruta) {
            $response = Http::post(session('API_URL') . $ruta->URL_RUTA . $ruta->PAR1 . session('TKN_EMP') . $ruta->PAR2 . session('EMP_ID') . $ruta->PAR3 . $user . $ruta->PAR4 . $password . $ruta->PAR5 . 2);
        }
        // print_r($response);
        // exit;

        if ($response->successful()) {
            $resultado = $response->json();
            if ($resultado['estado'] === 200) {

                session(['usuario_autenticado' => true]);
                session(['tip_usr' => $resultado['tipo_usuario']]);

                if($resultado['tipo_usuario'] == 1){
                    session(['usuario_empresa' => $resultado['data']['empresa']]);
                    session(['usuario_data' => $resultado['data']['usuario']]);
                }
                if($resultado['tipo_usuario'] == 2){
                    session(['usuario_empresa' => '']);
                    session(['usuario_data' => $resultado['data']]);
                }
                if($resultado['tipo_usuario'] == 3){
                    session(['usuario_empresa' => '']);
                    session(['usuario_data' => $resultado['data']]);
                }

                return redirect(config('app.url'))->with('log', 'Bienvenido ' . session('nombre'));

            } else {
                return redirect(route('website.auth.login'))->with('error', $resultado['mensaje']);
            }

        } else {
            return redirect(config('app.url'))->with('error', 'Ha sucedido un error. Intente de nuevo o comuniquese con soporte de 1Smart Soluciones');
        }

    }

    public function logout(Request $request)
    {
        $request->session()->forget('usuario_autenticado');

        return redirect()->away(config('app.url'));
    }

    public function register()
    {
        $title = "Register - Website | ";


        return view("website.auth.register")->with('title', $title);
    }
}
