<?php

namespace App\Http\Controllers\dashboard\vendor;

use App\Http\Controllers\Controller;
use App\Models\Ruta;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Http;

class ProductsVendorController extends Controller
{
    public function index()
    {
        $title = "Products - Vendor | ";
        $rutas = Ruta::where('DSC_URL', '=', 'ProductosVendor')->get();

        $bus = $_GET['bus'] ?? '';
        $act_pag_fac = $_GET['pag'] ?? 1;

        //Productos del vendor
        foreach ($rutas as $ruta) {
            $response = Http::get(session('API_URL') . $ruta->URL_RUTA . $ruta->PAR1 . session('TKN_EMP') . $ruta->PAR2 . session('EMP_ID') . $ruta->PAR3 . session('usuario_data')['id'] . $ruta->PAR4 . $bus . $ruta->PAR4 . $act_pag_fac);
        }
        // print_r($response);
        // exit;

        if ($response->successful()) {
            $json = $response->json();

            if ($json['estado'] === 200) {
                $productos = $json['data'];
                $mensaje = $json['mensaje'];
            } else {
                $productos = '';
                $mensaje = $json['mensaje'];
            }
        }

        return view('dashboard.products.index', compact('productos', 'mensaje'))->with('title', $title);
    }
}
