<?php

namespace App\Http\Controllers\website;

use App\Http\Controllers\Controller;
use App\Models\Ruta;
use Carbon\Carbon;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Http;
use Illuminate\Support\Facades\Storage;

class AuthController extends Controller
{
    public function login()
    {
        $title = "Login - Website | ";


        return view("website.auth.login")->with('title', $title);

    }

    public function login_post(Request $request)
    {
        $request->validate([
            'user' => 'required',
            'password' => 'required',
        ]);

        $rutas = Ruta::where('DSC_URL', '=', 'Login')->get();

        $user = $request->input('user');
        $password = $request->input('password');


        foreach ($rutas as $ruta) {
            $response = Http::post(session('API_URL') . $ruta->URL_RUTA . $ruta->PAR1 . session('TKN_EMP') . $ruta->PAR2 . session('EMP_ID') . $ruta->PAR3 . $user . $ruta->PAR4 . $password . $ruta->PAR5 . "");
        }
        // print_r($response);
        // exit;

        if ($response->successful()) {
            $resultado = $response->json();
            if ($resultado['estado'] === 200) {

                session(['usuario_autenticado' => true]);
                session(['tip_usr' => $resultado['tipo_usuario']]);
                if ($resultado['tipo_usuario'] == 1) {
                    session(['usuario_empresa' => $resultado['data']['empresa']]);
                    session(['usuario_data' => $resultado['data']['usuario']]);
                }
                if ($resultado['tipo_usuario'] == 2) {
                    session(['usuario_empresa' => '']);
                    session(['usuario_data' => $resultado['data']['usuario']]);
                }
                if ($resultado['tipo_usuario'] == 3) {
                    session(['usuario_empresa' => '']);
                    session(['usuario_data' => $resultado['data']]);
                }

                return redirect(config('app.url'))->with('log', 'Bienvenido ' . session('nombre'));

            } else {
                return redirect(route('website.auth.login'))->with('error', $resultado['mensaje']);
            }

        } else {
            return redirect(config('app.url'))->with('error', 'Ha sucedido un error. Intente de nuevo o comuniquese con soporte de 1Smart Soluciones');
        }

    }

    public function logout(Request $request)
    {
        $request->session()->forget('usuario_autenticado');

        return redirect()->away(config('app.url'));
    }

    public function register()
    {
        $title = "Register - Website | ";

        $rutas = Ruta::where('DSC_URL', '=', 'ListaPaises')->get();

        foreach ($rutas as $ruta) {
            $response = Http::post(session('API_URL') . $ruta->URL_RUTA . $ruta->PAR1 . session('TKN_EMP'));
        }
        // print_r($response);
        // exit;

        if ($response->successful()) {
            $json = $response->json();

            if ($json['estado'] === 200) {
                $paises = $json['data'];
            } else {
                $paises = '';
            }
        }

        return view("website.auth.register", compact('paises'))->with('title', $title);
    }

    public function register_post(Request $request)
    {
        $request->validate([
            'personalName' => 'required',
            'personalLast' => 'required',
            'personalEmail' => 'required',
            'personalPhone' => 'required',
            'addressBilling' => 'required',
            'addressCity' => 'required',
            'addressProvince' => 'required',
            'addressZip' => 'required',
            'addressCountry' => 'required',
            'password' => 'required',
            'addFindUs' => 'required',
            'addTotalSales' => 'required',
            'addTypeCompany' => 'required'
        ]);

        $rutas = Ruta::where('DSC_URL', '=', 'AltaCustomer')->get();
        // print_r($rutas);
        // exit;

        $personalName = $request->input('personalName');//
        $personalLast = $request->input('personalLast');//
        $personalEmail = $request->input('personalEmail');//
        $personalPhone = $request->input('personalPhone');//
        $personalWhatsApp = $request->input('personalWhatsApp');//
        $companyName = $request->input('companyName');//
        $companyWebsite = $request->input('companyWebsite');//
        $addressBilling = $request->input('addressBilling');//
        $addressBilling2 = $request->input('addressBilling2');//
        $addressCity = $request->input('addressCity');//
        $addressProvince = $request->input('addressProvince');//
        $addressZip = $request->input('addressZip');//
        $addressCountry = $request->input('addressCountry');//
        $password = $request->input('password');//
        $passwordConf = $request->input('passwordConf');//

        $addFindUs = $request->input('addFindUs');//
        $addTotalSales = $request->input('addTotalSales');//
        $addTypeCompany = $request->input('addTypeCompany');//
        $addOther = $request->input('addOther');//
        $selectedFamilies = $request->input('familiesIds', []);//

        if ($request->hasFile('fileCompany')) {
            $file = $request->file('fileCompany');
            $extension = $file->extension();
            $carpetaDia = Carbon::now()->format('Ymd');
            $time = Carbon::now()->format('Ymdhis');
            $prefijo = 'company_ownership_info';

            $nombreArchivo = $prefijo . $time . '.' . $extension;

            $path = '/altas_cliente' . '/' . $carpetaDia . '/' . $nombreArchivo;

            Storage::disk('s3')->put($path, file_get_contents($file), 'public');
            $urlCompanyInfo = Storage::disk('s3')->url($path);
        } else {
            $estadoAPI = 210;
            $mensajeAPI = 'Error al cargar el archivo Company';
        }

        if ($request->hasFile('fileTaxt')) {
            $file = $request->file('fileTaxt');
            $extension = $file->extension();
            $carpetaDia = Carbon::now()->format('Ymd');
            $time = Carbon::now()->format('Ymdhis');
            $prefijo = 'taxt_certificate';

            $nombreArchivo = $prefijo . $time . '.' . $extension;

            $path = '/altas_cliente' . '/' . $carpetaDia . '/' . $nombreArchivo;

            Storage::disk('s3')->put($path, file_get_contents($file), 'public');
            $urlTaxt = Storage::disk('s3')->url($path);
            // print_r($urlTaxt);
            // exit;
        } else {
            $estadoAPI = 210;
            $mensajeAPI = 'Error al cargar el archivo Company';
        }

        if ($request->hasFile('fileOwner')) {
            $file = $request->file('fileOwner');
            $extension = $file->extension();
            $carpetaDia = Carbon::now()->format('Ymd');
            $time = Carbon::now()->format('Ymdhis');
            $prefijo = 'company_owner';

            $nombreArchivo = $prefijo . $time . '.' . $extension;

            $path = '/altas_cliente' . '/' . $carpetaDia . '/' . $nombreArchivo;

            Storage::disk('s3')->put($path, file_get_contents($file), 'public');
            $urlCompanyOwner = Storage::disk('s3')->url($path);
            // print_r($urlCompanyOwner);
            // exit;
        } else {
            $estadoAPI = 210;
            $mensajeAPI = 'Error al cargar el archivo Company';
        }

        if ($request->hasFile('fileLegal')) {
            $file = $request->file('fileLegal');
            $extension = $file->extension();
            $carpetaDia = Carbon::now()->format('Ymd');
            $time = Carbon::now()->format('Ymdhis');
            $prefijo = 'legal_representative';

            $nombreArchivo = $prefijo . $time . '.' . $extension;

            $path = '/altas_cliente' . '/' . $carpetaDia . '/' . $nombreArchivo;

            Storage::disk('s3')->put($path, file_get_contents($file), 'public');
            $urlLegal = Storage::disk('s3')->url($path);
            // print_r($urlLegal);
            // exit;
        } else {
            $estadoAPI = 210;
            $mensajeAPI = 'Error al cargar el archivo Company';
        }

        if ($request->hasFile('fileResale')) {
            $file = $request->file('fileResale');
            $extension = $file->extension();
            $carpetaDia = Carbon::now()->format('Ymd');
            $time = Carbon::now()->format('Ymdhis');
            $prefijo = 'resale_tax_certificate';

            $nombreArchivo = $prefijo . $time . '.' . $extension;

            $path = '/altas_cliente' . '/' . $carpetaDia . '/' . $nombreArchivo;

            Storage::disk('s3')->put($path, file_get_contents($file), 'public');
            $urlResale = Storage::disk('s3')->url($path);
            // print_r($urlResale);
            // exit;
        } else {
            $estadoAPI = 210;
            $mensajeAPI = 'Error al cargar el archivo Company';
        }

        //base64(Company Ownership Info|Tax ID Certificate|Company owner|Legal representative ID|Resale Tax Certificate)
        $docs = $urlCompanyInfo . '|' . $urlTaxt . '|' . $urlCompanyOwner . '|' . $urlLegal . '|' . $urlResale;
        $docs = base64_encode($docs);

        // $concatenatedIds = implode('|', $selectedFamilies);
        // print_r($docs);
        // exit;


        $ctt = $personalName . '|' . $personalLast;

        if (empty($companyName)) {
            $companyName = $personalName . ' ' . $personalLast;
        }

        //(Teléfono|Whatsapp|Dirección|DirecciónLinea2|CP|Ciudad|Estado|País)
        $detDir = $personalPhone . '|' . $personalWhatsApp . '|' . $addressBilling . '|' . $addressBilling2 . '|' . $addressZip . '|' . $addressCity . '|' . $addressProvince . '|' . $addressCountry;
        $detDir = base64_encode($detDir);
        //mail|base64(pwd)|base64(pwd-cnf)
        $acsWeb = $personalEmail . '|' . base64_encode($password) . '|' . base64_encode($passwordConf);

        //howFindUs|TotalAnualSales|TypeCompany|OtherCompany|website
        $cat = $addFindUs . '|' . urlencode($addTotalSales) . '|' . urlencode($addTypeCompany) . '|' . $addOther . '|' . $companyWebsite;
        //idCat1|idCat2|idCat3..
        $prf = implode('|', $selectedFamilies);
        // print_r($prf);
        // exit;


        foreach ($rutas as $ruta) {
            $response = Http::post(session('API_URL') . $ruta->URL_RUTA . $ruta->PAR1 . session('TKN_EMP') . $ruta->PAR2 . session('EMP_ID') . $ruta->PAR3 . $companyName . $ruta->PAR4 . $ctt . $ruta->PAR5 . $detDir . $ruta->PAR6 . $acsWeb . $ruta->PAR7 . $docs . $ruta->PAR8 . $cat . $ruta->PAR9 . $prf);
        }
        // print_r($response);
        // exit;

        if ($response->successful()) {
            $resultado = $response->json();
            if ($resultado['estado'] === 200) {
                $mensaje = $resultado['mensaje'];
                $estado = 200;

            } else {
                $mensaje = $resultado['mensaje'];
                $estado = 400;
            }

        } 
        // echo $estado . ' ' . $mensaje;
        // exit;
        return redirect()->back()->with([
            'mensajeAPI' => $mensaje,
            'estadoAPI' => $estado
        ]);

    }
}
