<?php

namespace App\Http\Controllers\website;

use App\Http\Controllers\Controller;
use App\Models\Producto;
use Illuminate\Http\Request;

class CartController extends Controller
{
    public function index()
    {
        $title = "Cart - Website | ";
        $miCarrito = '';
        $suma_precio = '';

        if (session()->has('usuario_autenticado')) {
            $miCarrito = Producto::where('TOK', env('APIVELNEO_TKN'))->where('ID_USR', session('usuario_data')['id'])
                ->get();
            session(['miCarrito' => $miCarrito]);
            // print_r($miCarrito);
            // exit;
            $miCarritoCount = Producto::where('TOK', env('APIVELNEO_TKN'))->where('ID_USR', session('usuario_data')['id'])
                ->count();
            session(['miCarritoCount' => $miCarritoCount]);
            $suma_precio = Producto::where('TOK', env('APIVELNEO_TKN'))
                ->where('ID_USR', session('usuario_data')['id'])
                ->sum('SUB_TOT');
            session(['miCarritoSuma' => $suma_precio]);
        }

        return view("website.cart.index", compact('miCarrito', 'suma_precio'))->with('title', $title);
    }

    public function add(Request $request)
    { //Se usa para agregar

        // Recuperar los datos del producto que se está agregando al carrito desde la solicitud
        $productoId = $request->input('id');
        $cantidad = $request->input('piezasDB');

        $productoNom = $request->input('nombreDB');
        $imagenProd = $request->input('imgDB');
        $precioProd = floatval($request->input('precioDB'));
        $stockProd = $request->input('stockDB');
        $linkDB = $request->input('linkDB');
        $unidadMed = $request->input('unidadMed');
        $codigoDB = $request->input('codigoDB');
        // print_r($unidadMed);
        // exit;

        // Buscar si ya existe un producto con el mismo nombre, ID_EMP y ID_USR en la tabla Producto
        $productoExistente = Producto::where('NOM_PRD', $productoNom)
            ->where('ID_EMP', env('ID_EMP'))
            ->where('ID_USR', session('usuario_data')['id'])
            ->first();

        if ($productoExistente) {
            // Si el producto ya existe, actualiza la cantidad sumando la nueva cantidad
            $productoExistente->CANTIDAD += $cantidad;
            $productoExistente->save();
        } else {
            // Si el producto no existe, crea un nuevo registro en la tabla Producto
            $producto = new Producto();
            $producto->TOK = session('TKN_EMP');
            $producto->ID_EMP = session('ID_eMP');
            $producto->ID_USR = session('usuario_data')['id'];
            $producto->NOM_PRD = $productoNom;
            $producto->ID_PRODUCTO = $productoId;
            $producto->IMG_PRD = $imagenProd;
            $producto->CANTIDAD = $cantidad;
            $producto->PRC_UNT = $precioProd;
            $producto->SUB_TOT = $cantidad * $precioProd;
            $producto->STK_PRD = $stockProd;
            $producto->LNK_PRD = $linkDB;
            $producto->UND_MED = $unidadMed;
            $producto->COD_PRD = $codigoDB;

            $producto->save();

            if (session()->has('usuario_autenticado')) {
                $miCarrito = Producto::where('TOK', env('APIVELNEO_TKN'))->where('ID_USR', session('usuario_data')['id'])
                    ->get();
                session(['miCarrito' => $miCarrito]);
                // print_r($miCarrito);
                // exit;
                $miCarritoCount = Producto::where('TOK', env('APIVELNEO_TKN'))->where('ID_USR', session('usuario_data')['id'])
                    ->count();
                session(['miCarritoCount' => $miCarritoCount]);
                $suma_precio = Producto::where('TOK', env('APIVELNEO_TKN'))
                    ->where('ID_USR', session('usuario_data')['id'])
                    ->sum('SUB_TOT');
                session(['miCarritoSuma' => $suma_precio]);
            }

            if ($stockProd === 0) {
                return redirect()->back()->with("successCar", "Actualmente el producto no se encuentra disponible. Producto agregado: " . $productoNom);
            }
        }
        return redirect()->back()->with([
            'mensajeAPI' => 'Product: ' . $productoNom . ' added successfully',
            'estadoAPI' => 100
        ]);
    }

    public function removeItem(Request $request)
    {
        $productoId = $request->input('rowId');
        // print_r($productoId);
        // exit;
        // Busca el producto por su ID_PRODUCTO en lugar de 'id'
        $producto = Producto::where('ID_PRODUCTO', $productoId)->firstOrFail();

        // Elimina el producto
        $producto->delete();

        if (session()->has('usuario_autenticado')) {
            $miCarrito = Producto::where('TOK', env('APIVELNEO_TKN'))->where('ID_USR', session('usuario_data')['id'])
                ->get();
            session(['miCarrito' => $miCarrito]);
            // print_r($miCarrito);
            // exit;
            $miCarritoCount = Producto::where('TOK', env('APIVELNEO_TKN'))->where('ID_USR', session('usuario_data')['id'])
                ->count();
            session(['miCarritoCount' => $miCarritoCount]);
            $suma_precio = Producto::where('TOK', env('APIVELNEO_TKN'))
                ->where('ID_USR', session('usuario_data')['id'])
                ->sum('SUB_TOT');
            session(['miCarritoSuma' => $suma_precio]);
        }

        return redirect()->back()->with([
            'mensajeAPI' => 'Product delated',
            'estadoAPI' => 102
        ]);
    }

    public function incrementoItem(Request $request)
    {
        $productoId = $request->input('rowId');

        // Obtener el producto específico del carrito
        $producto = Producto::find($productoId);

        if ($producto) {
            // Incrementar la cantidad del producto en 1
            $producto->CANTIDAD += 1;
            $producto->SUB_TOT = $producto->CANTIDAD * $producto->PRC_UNT;
            $producto->save();


            return redirect()->back()->with("successCar", "Cantidad del producto incrementada");
        } else {
            return redirect()->back()->with("error", "El producto no se encontró en el carrito");
        }
    }

    public function actItem(Request $request)
    {
        $request->validate([
            'cantidadAct' => 'required|numeric|min:1',  // Regla para permitir solo valores mayores o iguales a 1
        ]);
        $productoId = $request->input('rowId');
        $cantidadAct = $request->input('cantidadAct');

        // Obtener el producto específico del carrito
        $producto = Producto::find($productoId);

        if ($producto) {
            // Incrementar la cantidad del producto en 1
            $producto->CANTIDAD = $cantidadAct;
            $producto->SUB_TOT = $producto->CANTIDAD * $producto->PRC_UNT;
            $producto->save();
            session(['numero_elements' => $producto->CANTIDAD]);
            $carrito = Producto::where('TOK', env('TKN_EMP'))
                ->where('ID_USR', session('idLog'))
                ->get();
            session(['carrito' => $carrito]);

            return redirect()->back()->with("successCar", "Cantidad del producto incrementada");
        } else {
            return redirect()->back()->with("error", "El producto no se encontró en el carrito");
        }
    }

    public function decrementoItem(Request $request)
    {
        $productoId = $request->input('rowId');
        // Obtener el producto específico del carrito
        $producto = Producto::find($productoId);
        if ($producto) {
            // Incrementar la cantidad del producto en 1
            $producto->CANTIDAD -= 1;
            // Si la cantidad del producto llega a 0, eliminar el producto del carrito
            if ($producto->CANTIDAD <= 0) {
                $producto->delete();

                $mensajeAPI = 'Se ha eliminado del carrito tu producto';
                return redirect()->route('carrito')->with([
                    'mensajeAPI' => $mensajeAPI,
                    'estadoAPI' => 400
                ]);
            }


            $producto->SUB_TOT = $producto->CANTIDAD * $producto->PRC_UNT;
            $producto->save();

            return redirect()->back()->with("successCar", "Cantidad del producto decrementada");
        } else {
            return redirect()->back()->with("error", "El producto no se encontró en el carrito");
        }
    }
}
