<?php

namespace App\Http\Controllers\website;

use App\Http\Controllers\Controller;
use App\Models\Producto;
use App\Models\Ruta;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Http;

class CheckoutController extends Controller
{
    public function index()
    {
        $title = "Checkout - Website | ";
        $rutas = Ruta::where('DSC_URL', '=', 'ListadoDirecciones')->get();

        //Direcciones
        foreach ($rutas as $ruta) {
            $response = Http::get(session('API_URL') . $ruta->URL_RUTA . $ruta->PAR1 . session('TKN_EMP') . $ruta->PAR2 . session('EMP_ID') . $ruta->PAR3 . session('usuario_data')['id']);
        }
        // print_r($response);
        // exit;

        if ($response->successful()) {
            $json = $response->json();

            if ($json['estado'] === 200) {
                $direcciones = $json['data'];
            } else {
                $direcciones = '';
            }
        }

        if (session()->has('usuario_autenticado')) {
            $miCarrito = Producto::where('TOK', env('APIVELNEO_TKN'))->where('ID_USR', session('usuario_data')['id'])
                ->get();
            session(['miCarrito' => $miCarrito]);
            // print_r($miCarrito);
            // exit;
            $miCarritoCount = Producto::where('TOK', env('APIVELNEO_TKN'))->where('ID_USR', session('usuario_data')['id'])
                ->count();
            session(['miCarritoCount' => $miCarritoCount]);
            $suma_precio = Producto::where('TOK', env('APIVELNEO_TKN'))
                ->where('ID_USR', session('usuario_data')['id'])
                ->sum('SUB_TOT');
            session(['miCarritoSuma' => $suma_precio]);
        }

        return view("website.checkout.index", compact('direcciones'))->with('title', $title);
    }

    public function addDirection(Request $request)
    {
        $rutas = Ruta::where('DSC_URL', '=', 'CrearDireccion')->get();

        $telefono = $request->input('telefono');
        $address = $request->input('address');
        $calle = $request->input('calle');
        $numExt = $request->input('numExt');
        $numInt = $request->input('numInt');
        $cruzamiento1 = $request->input('cruzamiento1');
        $cruzamiento2 = $request->input('cruzamiento2');
        $codigoPostal = $request->input('codigoPostal');
        $colonia = $request->input('asentamiento');
        $municipio = $request->input('municipio');
        $estado = $request->input('estado');
        $pais = $request->input('pais');
        $referencia = $request->input('referencia');
        $predeterminada = $request->input('predeterminada');//

        $det = $telefono . '|' . $address . '|' . $calle . '|' . $numExt . '|' . $numInt . '|' . $cruzamiento1 . '|' . $cruzamiento2 . '|' . $codigoPostal . '|' . $colonia . '|' . $municipio . '|' . $estado . '|' . $pais . '|' . $referencia;

        $det = base64_encode($det);

        //Crear direccion
        foreach ($rutas as $ruta) {
            $response = Http::get(session('API_URL') . $ruta->URL_RUTA . $ruta->PAR1 . session('TKN_EMP') . $ruta->PAR2 . session('EMP_ID') . $ruta->PAR3 . session('usuario_data')['id'] . $ruta->PAR4 . 0 . $ruta->PAR5 . $det . $ruta->PAR6 . $predeterminada);
        }
        // print_r($response);
        // exit;

        if ($response->successful()) {
            $json = $response->json();

            if ($json['estado'] === 200) {
                $direcciones = $json['data'];
            } else {
                return redirect()->back()->with([
                    'mensajeAPI' => $json['mensaje'],
                    'estadoAPI' => 400
                ]);
            }
        }

        if (session()->has('usuario_autenticado')) {
            $miCarrito = Producto::where('TOK', env('APIVELNEO_TKN'))->where('ID_USR', session('usuario_data')['id'])
                ->get();
            session(['miCarrito' => $miCarrito]);
            // print_r($miCarrito);
            // exit;
            $miCarritoCount = Producto::where('TOK', env('APIVELNEO_TKN'))->where('ID_USR', session('usuario_data')['id'])
                ->count();
            session(['miCarritoCount' => $miCarritoCount]);
            $suma_precio = Producto::where('TOK', env('APIVELNEO_TKN'))
                ->where('ID_USR', session('usuario_data')['id'])
                ->sum('SUB_TOT');
            session(['miCarritoSuma' => $suma_precio]);
        }

        return redirect()->back()->with([
            'mensajeAPI' => 'Direction Created',
            'estadoAPI' => 200
        ]);
    }

    public function delatedDirection(Request $request)
    {
        $rutas = Ruta::where('DSC_URL', '=', 'DelatedDireccion')->get();

        $id = $request->input('id');//


        //Eliminar direccion
        foreach ($rutas as $ruta) {
            $response = Http::get(session('API_URL') . $ruta->URL_RUTA . $ruta->PAR1 . session('TKN_EMP') . $ruta->PAR2 . session('EMP_ID') . $ruta->PAR3 . session('usuario_data')['id'] . $ruta->PAR4 . $id);
        }
        // print_r($response);
        // exit;

        if ($response->successful()) {
            $json = $response->json();

            if ($json['estado'] === 200) {
                $direcciones = $json['data'];
            } else {
                return redirect()->back()->with([
                    'mensajeAPI' => $json['mensaje'],
                    'estadoAPI' => 400
                ]);
            }
        }

        return redirect()->back()->with([
            'mensajeAPI' => 'Direction Delated',
            'estadoAPI' => 200
        ]);
    }

    public function editDirection(Request $request)
    {
        $rutas = Ruta::where('DSC_URL', '=', 'CrearDireccion')->get();

        $telefono = $request->input('telefono');
        $address = $request->input('address');
        $calle = $request->input('calle');
        $numExt = $request->input('numExt');
        $numInt = $request->input('numInt');
        $cruzamiento1 = $request->input('cruzamiento1');
        $cruzamiento2 = $request->input('cruzamiento2');
        $codigoPostal = $request->input('codigoPostal');
        $colonia = $request->input('asentamiento');
        $municipio = $request->input('municipio');
        $estado = $request->input('estado');
        $pais = $request->input('pais');
        $referencia = $request->input('referencia');
        $predeterminada = $request->input('predeterminada');//
        $id = $request->input('id');//

        $det = $telefono . '|' . $address . '|' . $calle . '|' . $numExt . '|' . $numInt . '|' . $cruzamiento1 . '|' . $cruzamiento2 . '|' . $codigoPostal . '|' . $colonia . '|' . $municipio . '|' . $estado . '|' . $pais . '|' . $referencia;

        $det = base64_encode($det);

        //Editar direccion
        foreach ($rutas as $ruta) {
            $response = Http::get(session('API_URL') . $ruta->URL_RUTA . $ruta->PAR1 . session('TKN_EMP') . $ruta->PAR2 . session('EMP_ID') . $ruta->PAR3 . session('usuario_data')['id'] . $ruta->PAR4 . $id . $ruta->PAR5 . $det . $ruta->PAR6 . $predeterminada);
        }
        // print_r($response);
        // exit;

        if ($response->successful()) {
            $json = $response->json();

            if ($json['estado'] === 200) {
                $direcciones = $json['data'];
            } else {
                return redirect()->back()->with([
                    'mensajeAPI' => $json['mensaje'],
                    'estadoAPI' => 400
                ]);
            }
        }

        return redirect()->back()->with([
            'mensajeAPI' => 'Direction Edited',
            'estadoAPI' => 200
        ]);
    }

    public function createdOrden(Request $request)
    {
        $idDir = $request->input('idDir');
        $checkPass = $request->input('checkPassV');
        $pickupName = $request->input('nombrePassV');
        $embalaje = $request->input('shipping');
        $nota = $request->input('nota');
        // print_r($nota);
        // exit;

        $rutas = Ruta::where('DSC_URL', '=', 'ValidarAntesOrden')->get();
        $rutas2 = Ruta::where('DSC_URL', '=', 'CrearOrden')->get();

        $carrito = Producto::where('TOK', env('APIVELNEO_TKN'))->where('ID_USR', session('usuario_data')['id'])->get();

        $totalProductos = 0;
        $pedTodo = '';
        foreach ($carrito as $producto) {
            $pedTodo .= $producto->ID_PRODUCTO . "|" . $producto->COD_PRD . '|' . $producto->CANTIDAD . "|";
            $totalProductos++;
        }
        $pedTodo = rtrim($pedTodo, "|");
        $pedTodo = base64_encode($pedTodo);
        // print_r($pedTodo);
        // exit;



        //Validar
        foreach ($rutas as $ruta) {
            $response = Http::get(session('API_URL') . $ruta->URL_RUTA . $ruta->PAR1 . session('TKN_EMP') . $ruta->PAR2 . session('usuario_data')['id'] . $ruta->PAR3 . $totalProductos . $ruta->PAR4 . $pedTodo);
        }
        // print_r($response);
        // exit;

        if ($response->successful()) {
            $json = $response->json();

            if ($json['estado'] === 200) {
                $tipoUsuario = session('usuario_data')['tipo_usuario'];
                if ($tipoUsuario == 1) {
                    $idAge = 0;
                } else {
                    $idAge = session('usuario_data')['id'];
                }

                $prf = $checkPass . '|' . $pickupName . '|' . $embalaje . '|' . $nota;

                foreach ($rutas2 as $ruta) {
                    $response2 = Http::get(session('API_URL') . $ruta->URL_RUTA . $ruta->PAR1 . session('TKN_EMP') . $ruta->PAR2 . session('EMP_ID') . $ruta->PAR3 . 1 . $ruta->PAR4 . session('usuario_data')['id'] . $ruta->PAR5 . $idDir . $ruta->PAR6 . $totalProductos . $ruta->PAR7 . $pedTodo . $ruta->PAR8 . $idAge . $ruta->PAR9 . $prf);
                }
                // print_r($response2);
                // exit;
                if ($response2->successful()) {
                    $json2 = $response2->json();

                    if ($json2['estado'] === 200) {
                        $mensaje = $json2['mensaje'];
                        // Eliminar los productos del carrito cuando el estado de la API es 200
                        Producto::where('ID_USR', session('usuario_data')['id'])->delete();

                        return redirect()->back()->with([
                            'mensajeAPI' => $json2['mensaje'] . '. Folio: ' . $json2['data']['folio'],
                            'estadoAPI' => 200
                        ]);
                    } else {
                        return redirect()->back()->with([
                            'mensajeAPI' => $json['mensaje'],
                            'estadoAPI' => 400
                        ]);
                    }
                }

            } elseif ($json['estado'] === 428) {
                // Enviar mensaje para mostrar alerta en el Blade
                return redirect()->back()->with([
                    'mensajeAPI' => $json['mensaje'],
                    'estadoAPI' => 428
                ]);
            } else {
                return redirect()->back()->with([
                    'mensajeAPI' => $json['mensaje'],
                    'estadoAPI' => 401
                ]);
            }
        }
    }
}
