<?php

namespace App\Http\Controllers\website;

use App\Http\Controllers\Controller;
use App\Models\Producto;
use App\Models\Ruta;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Http;

class HomeController extends Controller
{
    public function index()
    {
        $title = "Home - Website | ";
        session(['API_URL' => env('APIVELNEO_URL')]);
        session(['TKN_EMP' => env('APIVELNEO_TKN')]);
        session(['EMP_ID' => env('APIVELNEO_ID')]);

        $rutas = Ruta::where('DSC_URL', '=', 'Familias')->get();
        $rutas2 = Ruta::where('DSC_URL', '=', 'ObtenerOfertasHome')->get();
        $rutas3 = Ruta::where('DSC_URL', '=', 'Brands')->get();

        //Familias
        foreach ($rutas as $ruta) {
            $response = Http::get(session('API_URL') . $ruta->URL_RUTA . $ruta->PAR1 . session('TKN_EMP') . $ruta->PAR2 . session('EMP_ID'));
        }
        // print_r($response);
        // exit;

        if ($response->successful()) {
            $json = $response->json();

            if ($json['estado'] === 200) {
                $familias = $json['data'];
                session(['familias' => $familias]);
            } else {
                $familias = '';
                session(['familias' => $familias]);
            }
        }
        //Home
        foreach ($rutas2 as $ruta) {
            $response2 = Http::get(session('API_URL') . $ruta->URL_RUTA . $ruta->PAR1 . session('TKN_EMP') . $ruta->PAR2 . session('EMP_ID'));
        }
        // print_r($response2);
        // exit;
        if ($response2->successful()) {
            $json = $response2->json();

            if ($json['estado'] === 200) {
                $data = $json['data'];
                $banners = $data['banners_generales'];

                $just = $data['categorias_principales'][0];
                $gaming = $data['categorias_principales'][1];
                $today = $data['categorias_principales'][2];
                $price = $data['categorias_principales'][3];

                session(['just' => $just]);
                session(['price' => $price]);
                session(['today' => $today]);

                // print_r(json_encode($just));
                // exit;



            } else {
                $data = '';
            }
        }
        //Brands
        foreach ($rutas3 as $ruta) {
            $response3 = Http::get(session('API_URL') . $ruta->URL_RUTA . $ruta->PAR1 . session('TKN_EMP') . $ruta->PAR2 . session('EMP_ID'));
        }
        // print_r($response3);
        // exit;

        if ($response3->successful()) {
            $json = $response3->json();

            if ($json['estado'] === 200) {
                $brands = $json['data'];
            } else {
                $brands = '';
            }
        }
        if (session()->has('usuario_autenticado')) {
            $miCarrito = Producto::where('TOK', env('APIVELNEO_TKN'))->where('ID_USR', session('usuario_data')['id'])
                ->get();
            session(['miCarrito' => $miCarrito]);
            // print_r($miCarrito);
            // exit;
            $miCarritoCount = Producto::where('TOK', env('APIVELNEO_TKN'))->where('ID_USR', session('usuario_data')['id'])
                ->count();
            session(['miCarritoCount' => $miCarritoCount]);
            $suma_precio = Producto::where('TOK', env('APIVELNEO_TKN'))
                ->where('ID_USR', session('usuario_data')['id'])
                ->sum('SUB_TOT');
            session(['miCarritoSuma' => $suma_precio]);
        }

        // print_r($miCarrito);
        // exit;

        return view("website.home.index", compact('banners', 'just', 'gaming', 'today', 'price', 'brands'))->with('title', $title);
    }
}
