<?php

namespace App\Http\Controllers\website;

use App\Http\Controllers\Controller;
use App\Models\Ruta;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Http;

class ProductsController extends Controller
{
    public function index()
    {
        $title = "All Products - Website | ";



        $fam_id = $_GET['fam'] ?? '';
        $subfam_id = $_GET['sub'] ?? '';
        $bus_txt = $_GET['bus'] ?? '';
        $tip_ord = $_GET['tip'] ?? '';
        $flt = $_GET['fil'] ?? '';
        $pag = $_GET['pag'] ?? 1;
        $ban_id = $_GET['ban'] ?? '';
        $mar_id = $_GET['mar'] ?? '';
        $carc_bus = $_GET['car'] ?? '';

        $rutas = Ruta::where('DSC_URL', '=', 'Productos')->get();

        //Productos
        foreach ($rutas as $ruta) {
            $response = Http::get(session('API_URL') . $ruta->URL_RUTA . $ruta->PAR1 . session('TKN_EMP') . $ruta->PAR2 . session('EMP_ID') . $ruta->PAR3 . $fam_id . $ruta->PAR4 . $subfam_id . $ruta->PAR5 . $bus_txt . $ruta->PAR6 . $tip_ord . $ruta->PAR7 . $flt . $ruta->PAR8 . $pag . $ruta->PAR9 . $ban_id . $ruta->PAR10 . $mar_id . $ruta->PAR11 . $carc_bus);
        }
        // print_r($response);
        // exit;

        if ($response->successful()) {
            $json = $response->json();

            if ($json['estado'] === 200) {
                $products = $json['data'];
                $features = $json['caracteristicas'];
                $mensaje = $json['mensaje'];
            } else {
                $products = '';
                $features = '';
                $mensaje = $json['mensaje'];
            }
        }

        return view("website.products.index", compact('products', 'features', 'mensaje', 'json'))->with('title', $title);
    }

    public function show($name)
    {
        $title = "Show Product $name - Website | ";

        $cod = $_GET['cod'] ?? null;
        $id = $_GET['id'] ?? null;

        if (empty($cod) || empty($id)) {
            $mensaje = "Producto no encontrado";
            return view("website.products.show", compact('mensaje'))->with('title', $title);
        }


        $code = base64_encode($cod);
        // print_r($code);
        // exit;

        $rutas = Ruta::where('DSC_URL', '=', 'DetallesProducto')->get();

        //Detalle
        foreach ($rutas as $ruta) {
            $response = Http::get(session('API_URL') . $ruta->URL_RUTA . $ruta->PAR1 . session('TKN_EMP') . $ruta->PAR2 . session('EMP_ID') . $ruta->PAR3 . $id . $ruta->PAR4 . $code);
        }
        // print_r($response);
        // exit;

        if ($response->successful()) {
            $json = $response->json();

            if ($json['estado'] === 200) {
                $details = $json['data'];
                $mensaje = $json['mensaje'];
            } else {
                $details = '';
                $mensaje = $json['mensaje'];
            }
        }

        return view("website.products.show", compact('details', 'mensaje'))->with('title', $title);
    }

    public function copyLink(Request $request)
    {
        // Redirige de nuevo con el mensaje flash
        return redirect()->back()->with([
            'mensajeAPI' => 'Product link copied to clipboard!',
            'estadoAPI' => 102
        ]);
    }
}
