<!DOCTYPE html>
<html lang="es">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>{{ $title }}</title>
    <link rel="stylesheet" href="{{ asset('website/css/style-login.css') }}">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css">
</head>

<body>
    <div class="container fade-in">
        <div class="logo">
            <a href="{{ route('website.home.index') }}" class="logo-image"><img
                    src="{{ asset('website/img/basic/logo_phonix_black.png') }}" alt="logo"></a>
        </div>
        <h2>Sign In | Vendor</h2>
        @if (Request::is('login'))
            <form action="{{ route('website.auth.login.post') }}" method="POST">
            @elseif (Request::is('login-vendor'))
                <form action="{{ route('vendor.auth.login.post') }}" method="POST">
        @endif
        @csrf
        <input type="email" name="user" placeholder="User email" required>
        <input type="password" name="password" placeholder="Password" required>
        <button type="submit">Login</button>
        @if (session('error'))
            <div class="text-alert"><i class="fa fa-times-circle-o" aria-hidden="true"></i> {{ session('error') }}</div>
        @endif
        <a href="">
            <small>Password Recovery</small>
        </a>
        <p>New? Create Account <a href="#"
                onclick="redirectWithAnimation('{{ route('website.auth.register') }}')">Register</a></p>
        </form>
    </div>

    <script src="{{ asset('website/js/script-login.js') }}"></script>
</body>

</html>
