<!DOCTYPE html>
<html lang="en" data-bs-theme="dark">

@include('dashboard.layouts.head')

<body>

    <div class="wrapper">

        @include('dashboard.layouts.header')

        @include('dashboard.layouts.modal-theme')

        @include('dashboard.layouts.nav')

        <div class="page-content">
            <div class="container-fluid">
                <div class="row">
                    <div class="col-xl-12">
                        <div class="card">
                            <div class="card-body">
                                <h3 class="mb-4">My Address</h3>
                                <table class="table table-centered">
                                    <thead class="table-dark">
                                        <tr>
                                            <th scope="col">Id</th>
                                            <th scope="col">Name</th>
                                            <th scope="col">Description</th>
                                            <th scope="col">...</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        @if (!empty($direcciones))
                                            @foreach ($direcciones as $item)
                                                <tr>
                                                    <td>{{ $loop->iteration }}</td>
                                                    <td>{{ $item['desc'] }}</td>
                                                    <td>{{ $item['detalle'] }}</td>
                                                    <td>
                                                        <a
                                                            href="{{ route('customer.profile.adressshow', ['id' => $item['id']]) }}">
                                                            <button class="btn btn-primary">
                                                                <svg xmlns="http://www.w3.org/2000/svg" width="1em" height="1em" viewBox="0 0 24 24"><path fill="currentColor" d="M9.75 12a2.25 2.25 0 1 1 4.5 0a2.25 2.25 0 0 1-4.5 0"/><path fill="currentColor" fill-rule="evenodd" d="M2 12c0 1.64.425 2.191 1.275 3.296C4.972 17.5 7.818 20 12 20s7.028-2.5 8.725-4.704C21.575 14.192 22 13.639 22 12c0-1.64-.425-2.191-1.275-3.296C19.028 6.5 16.182 4 12 4S4.972 6.5 3.275 8.704C2.425 9.81 2 10.361 2 12m10-3.75a3.75 3.75 0 1 0 0 7.5a3.75 3.75 0 0 0 0-7.5" clip-rule="evenodd"/></svg>
                                                            </button>
                                                        </a>
                                                    </td>
                                                </tr>
                                            @endforeach
                                        @else
                                            <tr>
                                                <td colspan="11" class="text-center">
                                                    {{ $mensaje }}
                                                </td>
                                            </tr>
                                        @endif
                                    </tbody>
                                </table>

                            </div>
                        </div>
                    </div>


                </div>

            </div>

            @include('dashboard.layouts.footer')

        </div>
    </div>

    @include('dashboard.layouts.scripts')

</body>

</html>
