<!DOCTYPE html>
<html lang="en" data-bs-theme="dark">

@include('dashboard.layouts.head')

<body>

    <div class="wrapper">

        @include('dashboard.layouts.header')

        @include('dashboard.layouts.modal-theme')

        @include('dashboard.layouts.nav')

        <div class="page-content">
            <div class="container-fluid">

                <div class="row">
                    <div class="col-xl-12">
                        <div class="card">
                            <div class="card-body">
                                
                                <style>
                                    .profile-header {
                                        display: flex;
                                        align-items: center;
                                        border-bottom: 1px solid #ddd;
                                        padding-bottom: 15px;
                                        margin-bottom: 20px;
                                    }

                                    .profile-picture img {
                                        width: 100px;
                                        height: 100px;
                                        border-radius: 50%;
                                        margin-right: 20px;
                                    }

                                    .profile-info h1 {
                                        font-size: 24px;
                                        color: #333;
                                        margin-bottom: 5px;
                                    }

                                    .profile-info p {
                                        color: #666;
                                        margin: 3px 0;
                                    }

                                    .profile-direccion,
                                    .profile-billing {
                                        margin-bottom: 20px;
                                    }

                                    .profile-direccion h3,
                                    .profile-billing h3 {
                                        font-size: 18px;
                                        color: #333;
                                        margin-bottom: 10px;
                                        border-bottom: 1px solid #ddd;
                                        padding-bottom: 5px;
                                    }

                                    .profile-direccion .col-4,
                                    .profile-billing .col-4 {
                                        display: inline-block;
                                        width: 30%;
                                        padding: 10px;
                                        margin-right: 1.5%;
                                        background-color: #f9f9f9;
                                        text-align: center;
                                        border-radius: 8px;
                                        margin-bottom: 10px;
                                        box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
                                    }

                                    .profile-direccion .col-4:last-child,
                                    .profile-billing .col-4:last-child {
                                        margin-right: 0;
                                    }
                                </style>

                                <section>
                                    <h2 class="mb-3">Edit Address</h2>
                                    <form class="row" action="{{ route('customer.profile.updatedPwd') }}" method="POST">
                                        @csrf
                                        <div class="col-4">
                                            <div class="mb-3">
                                                <label for="simpleinput" class="form-label">Street:</label>
                                                <input type="text" name="pwd" id="simpleinput" class="form-control" value="{{ $direccion['calle'] }}" required disabled>
                                            </div>
                                        </div>
                                        <div class="col-4">
                                            <div class="mb-3">
                                                <label for="simpleinput" class="form-label">Number:</label>
                                                <input type="text" name="pwd" id="simpleinput" class="form-control" value="{{ $direccion['numero_ext'] }}" required disabled>
                                            </div>
                                        </div>
                                        <div class="col-4">
                                            <div class="mb-3">
                                                <label for="simpleinput" class="form-label">Number internal:</label>
                                                <input type="text" name="pwd" id="simpleinput" class="form-control" value="{{ $direccion['numero_int'] }}" required disabled>
                                            </div>
                                        </div>
                                        <div class="col-4">
                                            <div class="mb-3">
                                                <label for="simpleinput" class="form-label">Intersection 1:</label>
                                                <input type="text" name="pwd" id="simpleinput" class="form-control" value="{{ $direccion['cruzamiento_1'] }}" required disabled>
                                            </div>
                                        </div>
                                        <div class="col-4">
                                            <div class="mb-3">
                                                <label for="simpleinput" class="form-label">Intersection 2:</label>
                                                <input type="text" name="pwd" id="simpleinput" class="form-control" value="{{ $direccion['cruzamiento_2'] }}" required disabled>
                                            </div>
                                        </div>
                                        <div class="col-4">
                                            <div class="mb-3">
                                                <label for="simpleinput" class="form-label">Zip Code:</label>
                                                <input type="text" name="pwd" id="simpleinput" class="form-control" value="{{ $direccion['codigo_postal'] }}" required disabled>
                                            </div>
                                        </div>
                                        <div class="col-6">
                                            <div class="mb-3">
                                                <label for="simpleinput" class="form-label">Neigborhood:</label>
                                                <input type="text" name="pwd" id="simpleinput" class="form-control" value="{{ $direccion['colonia'] }}" required disabled>
                                            </div>
                                        </div>
                                        <div class="col-6">
                                            <div class="mb-3">
                                                <label for="simpleinput" class="form-label">Province:</label>
                                                <input type="text" name="pwd" id="simpleinput" class="form-control" value="{{ $direccion['municipio'] }}" required disabled>
                                            </div>
                                        </div>
                                        <div class="col-6">
                                            <div class="mb-3">
                                                <label for="simpleinput" class="form-label">State:</label>
                                                <input type="text" name="pwd" id="simpleinput" class="form-control" value="{{ $direccion['estado'] }}" required disabled>
                                            </div>
                                        </div>
                                        <div class="col-6">
                                            <div class="mb-3">
                                                <label for="simpleinput" class="form-label">Country:</label>
                                                <input type="text" name="pwd" id="simpleinput" class="form-control" value="{{ $direccion['pais'] }}" required disabled>
                                            </div>
                                        </div>
                                        <div class="col-12">
                                            <div class="mb-3">
                                                <label for="simpleinput" class="form-label">Address References:</label>
                                                <input type="text" name="pwd" id="simpleinput" class="form-control" value="{{ $direccion['referencias'] }}" required disabled>
                                            </div>
                                        </div>
                                        
                                    </form>
                                </section>
                            </div>
                        </div>
                    </div>


                </div>

            </div>

            @include('dashboard.layouts.footer')

        </div>
    </div>

    @include('dashboard.layouts.scripts')

</body>

</html>
