<!-- Vendor Javascript (Require in all Page) -->
<script src="{{ asset('dashboard/js/vendor.js') }}"></script>

<!-- App Javascript (Require in all Page) -->
<script src="{{ asset('dashboard/js/app.js') }}"></script>

<!-- Vector Map Js -->
<script src="{{ asset('dashboard/vendor/jsvectormap/js/jsvectormap.min.js') }}"></script>
<script src="{{ asset('dashboard/vendor/jsvectormap/maps/world-merc.js') }}"></script>
<script src="{{ asset('dashboard/vendor/jsvectormap/maps/world.js') }}"></script>

<!-- Dashboard Js -->
<script src="{{ asset('dashboard/js/pages/dashboard.js') }}"></script>

<style>
    /* Estilo del toast */
    .toast-custom {
        position: fixed;
        bottom: 20px;
        right: 20px;
        background-color: #333;
        color: #fff;
        padding: 15px;
        border-radius: 8px;
        box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
        z-index: 999999999999 !important;
        display: flex;
        align-items: center;
        opacity: 0;
        transition: opacity 0.4s ease, bottom 0.4s ease;
    }

    .toast-custom.show {
        opacity: 1;
        bottom: 40px;
    }

    .toast-custom .toast-header {
        font-weight: bold;
        margin-right: 10px;
    }

    .toast-custom .toast-body {
        flex-grow: 1;
    }

    .toast-custom .btn-close {
        background: none;
        border: none;
        color: #fff;
        font-size: 16px;
        cursor: pointer;
        margin-left: 10px;
    }

    .toast-custom .btn-close:hover {
        color: #aaa;
    }
</style>
<script>
    document.addEventListener('DOMContentLoaded', function() {
        var mensajeAPI = "{{ session('mensajeAPI') }}";
        var estadoAPI = "{{ session('estadoAPI') }}";

        if (estadoAPI === '100') {
            // Crear el elemento del toast
            var toastHTML = `
                <div class="toast-custom" id="customToast">
                    <div class="toast-header">Success</div>
                    <div class="toast-body">${mensajeAPI}</div>
                    <button class="btn-close" onclick="closeToast()">×</button>
                </div>`;

            // Insertar el toast en el cuerpo del documento
            document.body.insertAdjacentHTML('beforeend', toastHTML);

            // Mostrar el toast con una animación
            setTimeout(function() {
                document.getElementById('customToast').classList.add('show');
            }, 100); // Mostrar después de un pequeño retraso

            // Cerrar automáticamente el toast después de 5 segundos
            setTimeout(closeToast, 5000);
        } else if (estadoAPI === '200') {
            // Crear el elemento del toast
            var toastHTML = `
                <div class="toast-custom" id="customToast">
                    <div class="toast-header">Success!</div>
                    <div class="toast-body">${mensajeAPI}</div>
                    <button class="btn-close" onclick="closeToast()">×</button>
                </div>`;

            // Insertar el toast en el cuerpo del documento
            document.body.insertAdjacentHTML('beforeend', toastHTML);

            // Mostrar el toast con una animación
            setTimeout(function() {
                document.getElementById('customToast').classList.add('show');
            }, 100); // Mostrar después de un pequeño retraso

            // Cerrar automáticamente el toast después de 5 segundos
            setTimeout(closeToast, 5000);
        } else if (estadoAPI === '400') {
            // Crear el elemento del toast
            var toastHTML = `
                <div class="toast-custom" id="customToast">
                    <div class="toast-header">Atention!</div>
                    <div class="toast-body">${mensajeAPI}</div>
                    <button class="btn-close" onclick="closeToast()">×</button>
                </div>`;

            // Insertar el toast en el cuerpo del documento
            document.body.insertAdjacentHTML('beforeend', toastHTML);

            // Mostrar el toast con una animación
            setTimeout(function() {
                document.getElementById('customToast').classList.add('show');
            }, 100); // Mostrar después de un pequeño retraso

            // Cerrar automáticamente el toast después de 5 segundos
            setTimeout(closeToast, 5000);
        }
    });

    function closeToast() {
        var toast = document.getElementById('customToast');
        if (toast) {
            toast.classList.remove('show');
            setTimeout(function() {
                toast.remove();
            }, 400); // Espera el tiempo de la transición antes de eliminar
        }
    }
</script>