<!DOCTYPE html>
<html lang="en" data-bs-theme="dark">

@include('dashboard.layouts.head')

<body>

    <div class="wrapper">

        @include('dashboard.layouts.header')

        @include('dashboard.layouts.modal-theme')

        @include('dashboard.layouts.nav')

        <div class="page-content">
            <div class="container-fluid">

                <div class="row">
                    <div class="col-xl-12">
                        <div class="card">
                            <div class="mt-1 mb-1 mr-2">
                                <div class="text-end d-print-none">
                                    <a href="javascript:window.print()" class="btn btn-primary">Print</a>
                                    {{--  <a class="btn btn-primary">Download Purchase Order</a>
                                    <a class="btn btn-primary">Edit Tracking</a>
                                    <a class="btn btn-primary">Invoice</a>  --}}
                                </div>
                            </div>
                            <div class="card-body">

                                <div class="row">
                                    <div class="col-12">
                                        <div class="card">
                                            <div class="card-body">

                                                <!-- Logo & title -->
                                                <div class="clearfix">
                                                    <div class="float-sm-end">
                                                        <div class="auth-logo">
                                                            <img class="logo-dark me-1"
                                                                src="{{ asset('website/img/basic/logo_phonix_black.png') }}"
                                                                alt="logo-dark" height="24">
                                                            <img class="logo-light me-1"
                                                                src="{{ asset('website/img/basic/logo_phonix_white.png') }}"
                                                                alt="logo-dark" height="24">
                                                        </div>
                                                        <address class="mt-3">
                                                            <h6 class="fw-normal text-muted">Customer</h6>
                                                            {{ $orden['user_nombre'] }},<br>
                                                            {{ session('usuario_data')['correo'] }} <br>
                                                            <abbr title="Phone">P:</abbr> (207) 532-9109
                                                        </address>
                                                    </div>
                                                    <div class="float-sm-start">
                                                        <h5 class="card-title mb-2">Purchase Order:
                                                            {{ $orden['folio'] }}</h5>
                                                    </div>
                                                </div>

                                                <div class="row mt-3">
                                                    <div class="col-md-6">
                                                        <h6 class="fw-normal text-muted">Order</h6>
                                                        <h6 class="fs-16"> Paid:
                                                            @if ($orden['pagado_status'] === 'No')
                                                                <span class="text-danger">No</span>
                                                            @else
                                                                <span class="text-success">Yes</span>
                                                            @endif
                                                        </h6>
                                                        <address>
                                                            <strong>Po: </strong>{{ $orden['folio'] }}<br>
                                                            <strong>Status: </strong>{{ $orden['estado_nivel'] }}<br>
                                                            <strong>Currency: </strong> {{ $orden['moneda'] }}
                                                        </address>
                                                    </div> <!-- end col -->
                                                </div>
                                                <!-- end row -->

                                                <div class="row">
                                                    <div class="col-12">
                                                        <div
                                                            class="table-responsive table-borderless text-nowrap mt-3 table-centered">
                                                            <table class="table mb-0">
                                                                <thead class="bg-light bg-opacity-50">
                                                                    <tr>
                                                                        <th class="border-0 py-2">Description</th>
                                                                        <th class="border-0 py-2">Quantity</th>
                                                                        <th class="border-0 py-2">Price</th>
                                                                        <th class="border-0 py-2">Subotal</th>
                                                                        <th class="border-0 py-2">Currency</th>
                                                                    </tr>
                                                                </thead> <!-- end thead -->
                                                                <tbody>
                                                                    @foreach ($orden['registros_productos'] as $item)
                                                                        <tr>
                                                                            <td>{{ $item['nombre'] }}</td>
                                                                            <td>{{ $item['cantidad'] }}</td>
                                                                            <td>{{ $item['precio'] }}</td>
                                                                            <td>{{ $item['subtotal'] }}</td>
                                                                            <td>USD</td>
                                                                        </tr>
                                                                    @endforeach
                                                                </tbody> <!-- end tbody -->
                                                            </table> <!-- end table -->
                                                        </div> <!-- end table responsive -->
                                                    </div> <!-- end col -->
                                                </div> <!-- end row -->

                                                <div class="row mt-3">
                                                    <div class="col-sm-7">
                                                        <div class="clearfix pt-xl-3 pt-0">
                                                            <h6 class="text-muted">Dates:</h6>

                                                            <small class="text-muted">
                                                                <strong>Creation date:</strong>
                                                                {{ $orden['fecha_generado'] }} <br>
                                                                <strong>Latest Estimated Arrival:</strong>
                                                                {{ $orden['fecha_llegada_estimada'] }} <br>
                                                                <strong>Expiration date:</strong>
                                                                {{ $orden['fecha_vencimiento'] }} <br>
                                                                <strong>Name of the pickup:</strong>
                                                                {{ $orden['nombre_quien_recoge'] }}
                                                            </small>
                                                        </div>
                                                    </div>
                                                    <div class="col-sm-5">
                                                        <div class="float-end">
                                                            <p><span class="fw-medium">Sub-total :</span>
                                                                <span class="float-end">$2266.59</span>
                                                            </p>
                                                            <p><span class="fw-medium">Total :</span>
                                                                <span class="float-end">$2266.59</span>
                                                            </p>
                                                            <p><span class="fw-medium">Balance :</span>
                                                                <span class="float-end">$2266.59</span>
                                                            </p>
                                                        </div>
                                                        <div class="clearfix"></div>
                                                    </div> <!-- end col -->
                                                </div> <!-- end row -->

                                            </div> <!-- end card body -->
                                        </div> <!-- end card -->
                                    </div> <!-- end col -->
                                </div>


                            </div>
                        </div>
                    </div>


                </div>

            </div>

            @include('dashboard.layouts.footer')

        </div>
    </div>

    @include('dashboard.layouts.scripts')

</body>

</html>
