<!DOCTYPE html>
<html lang="en" data-bs-theme="dark">

@include('dashboard.layouts.head')

<body>

    <div class="wrapper">

        @include('dashboard.layouts.header')

        @include('dashboard.layouts.modal-theme')

        @include('dashboard.layouts.nav')

        <div class="page-content">
            <div class="container-fluid">

                <div class="row">
                    <div class="col-xl-12">
                        <form class="row" method="GET">
                            <div class="col-md-3">
                                <label class="fw-bold mt-1 pull-right">Initial Date: </label>
                                <input type="date" class="form-control"name="fch_ini" value="2024-11-01">
                                <small class="text-danger" id="errorInitialDate"></small>
                            </div>
                            <div class="col-md-3">
                                <label class="fw-bold mt-1  pull-right">Final Date: </label>
                                <input type="date" class="form-control"name="fch_fin" value="2024-11-11">
                                <small class="text-danger" id="errorFinalDate"></small>
                            </div>
                            <div class="col-md-3">
                                <label class="fw-bold mt-1 pull-right">Status: </label>
                                <select name="sts" class="form-control">
                                    <option value="0">All</option>
                                    <option value="1">Generated</option>
                                    <option value="2">In progress</option>
                                    <option value="3">Confirmed by warehouse</option>
                                    <option value="4">Partially received</option>
                                    <option value="5">Received</option>
                                    <option value="6">Cancelled</option>
                                </select>
                            </div>
                            <div class="col-md-1">
                                <label
                                    class="fw-bold mt-1 pull-right">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</label>
                                <button type="submit" class="btn btn-primary" title="Search">
                                    <svg xmlns="http://www.w3.org/2000/svg" width="1em" height="1em"
                                        viewBox="0 0 24 24">
                                        <g fill="none" stroke="currentColor" stroke-width="1.5">
                                            <path stroke-linecap="round"
                                                d="M22 14v-2c0-3.771 0-5.657-1.172-6.828S17.771 4 14 4m0 18h-4c-3.771 0-5.657 0-6.828-1.172S2 17.771 2 14v-2c0-3.771 0-5.657 1.172-6.828S6.229 4 10 4M7 4V2.5M17 4V2.5" />
                                            <circle cx="18" cy="18" r="3" />
                                            <path stroke-linecap="round" d="M20.5 20.5L22 22m-.5-13H10.75M2 9h3.875" />
                                        </g>
                                    </svg>
                                </button>
                            </div>
                        </form>

                    </div>


                </div>
                <div class="row">
                    <div class="col-xl-12">
                        <div class="card">
                            <div class="card-body">

                                <table class="table table-centered">
                                    <thead class="table-dark">
                                        <tr>
                                            <th scope="col">Image</th>
                                            <th scope="col">#</th>
                                            <th scope="col">Name</th>
                                            <th scope="col">Part Number</th>
                                            <th scope="col">Description</th>
                                            <th scope="col">Inventory</th>
                                            <th scope="col">MOQ</th>
                                            <th scope="col">ETA</th>
                                            <th scope="col">Price</th>
                                            <th scope="col">...</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <style>
                                            .button-group {
                                                display: inline-flex;
                                                gap: 8px;
                                                /* Espacio entre los botones */
                                            }

                                            .btn-small {
                                                display: inline-flex;
                                                align-items: center;
                                                justify-content: center;
                                                padding: 5px 10px;
                                                /* Ajuste de tamaño de botón */
                                                border: none;
                                                cursor: pointer;
                                            }

                                            .one-modal-show-product{
                                                background-color: rgb(205, 205, 205);
                                                padding: 10px;
                                            }
                                        </style>
                                        @if (!empty($productos))
                                            @foreach ($productos as $item)
                                                <tr>
                                                    <td><img src="{{ $item['registros_fotos'][0]['url_foto'] }}"
                                                            alt="product" width="100"></td>
                                                    <td>{{ $item['id'] }}</td>
                                                    <td>{{ $item['nombre'] }}</td>
                                                    <td>{{ $item['part_number'] }}</td>
                                                    <td>{{ $item['desc'] }}</td>
                                                    <td>{{ $item['existencias'] }}</td>
                                                    <td>{{ $item['MOQ'] }}</td>
                                                    <td>{{ $item['ETA'] }}</td>
                                                    <td>{{ $item['precio'] }}</td>
                                                    <td>
                                                        <div class="button-group">
                                                            <button class="btn btn-primary" type="button"
                                                                data-bs-toggle="modal"
                                                                data-bs-target="#staticBackdropShowProduct">
                                                                <svg xmlns="http://www.w3.org/2000/svg" width="1em"
                                                                    height="1em" viewBox="0 0 24 24">
                                                                    <g fill="none" stroke="currentColor"
                                                                        stroke-width="1.5">
                                                                        <path stroke-linecap="round"
                                                                            d="M9 4.46A9.8 9.8 0 0 1 12 4c4.182 0 7.028 2.5 8.725 4.704C21.575 9.81 22 10.361 22 12c0 1.64-.425 2.191-1.275 3.296C19.028 17.5 16.182 20 12 20s-7.028-2.5-8.725-4.704C2.425 14.192 2 13.639 2 12c0-1.64.425-2.191 1.275-3.296A14.5 14.5 0 0 1 5 6.821" />
                                                                        <path d="M15 12a3 3 0 1 1-6 0a3 3 0 0 1 6 0Z" />
                                                                    </g>
                                                                </svg>
                                                            </button>
                                                            <button class="btn btn-primary">
                                                                <svg xmlns="http://www.w3.org/2000/svg" width="1em"
                                                                    height="1em" viewBox="0 0 256 256">
                                                                    <path fill="currentColor"
                                                                        d="m227.32 73.37l-44.69-44.68a16 16 0 0 0-22.63 0L36.69 152A15.86 15.86 0 0 0 32 163.31V208a16 16 0 0 0 16 16h168a8 8 0 0 0 0-16H115.32l112-112a16 16 0 0 0 0-22.63M136 75.31L152.69 92L68 176.69L51.31 160ZM48 208v-28.69L76.69 208Zm48-3.31L79.32 188L164 103.31L180.69 120Zm96-96L147.32 64l24-24L216 84.69Z" />
                                                                </svg>
                                                            </button>
                                                        </div>
                                                    </td>
                                                </tr>
                                            @endforeach
                                            <!-- Button trigger modal -->
                                            <button type="button" class="btn btn-primary">
                                                Launch static backdrop modal
                                            </button>

                                            <!-- Modal -->
                                            <div class="modal fade" id="staticBackdropShowProduct"
                                                data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1"
                                                aria-labelledby="staticBackdropLabel" aria-hidden="true">
                                                <div class="modal-dialog">
                                                    <div class="modal-content">
                                                        <div class="modal-header">
                                                            <h5 class="modal-title" id="staticBackdropLabel">Product
                                                                detail: </h5>
                                                            <button type="button" class="btn-close"
                                                                data-bs-dismiss="modal" aria-label="Close"></button>
                                                        </div>
                                                        <div class="modal-body">


                                                            <ul class="nav nav-pills">
                                                                <li class="nav-item">
                                                                    <a href="#homePill" data-bs-toggle="tab"
                                                                        aria-expanded="false" class="nav-link">
                                                                        <span class="d-block d-sm-none"><i
                                                                                class="bx bx-home"></i></span>
                                                                        <span class="d-none d-sm-block">Specifications</span>
                                                                    </a>
                                                                </li>
                                                                <li class="nav-item">
                                                                    <a href="#profilePill" data-bs-toggle="tab"
                                                                        aria-expanded="true" class="nav-link active">
                                                                        <span class="d-block d-sm-none"><i
                                                                                class="bx bx-user"></i></span>
                                                                        <span class="d-none d-sm-block">General</span>
                                                                    </a>
                                                                </li>
                                                                <li class="nav-item">
                                                                    <a href="#messagesPill" data-bs-toggle="tab"
                                                                        aria-expanded="false" class="nav-link">
                                                                        <span class="d-block d-sm-none"><i
                                                                                class="bx bx-envelope"></i></span>
                                                                        <span class="d-none d-sm-block">Images</span>
                                                                    </a>
                                                                </li>
                                                            </ul>
                                                            <div class="tab-content pt-2 text-muted">
                                                                <div class="tab-pane" id="homePill">
                                                                    <p class="mb-0">Sed ut perspiciatis unde omnis
                                                                        iste natus error sit voluptatem accusantium
                                                                        doloremque laudantium,
                                                                        totam rem aperiam, eaque ipsa quae ab illo
                                                                        inventore veritatis et quasi architecto beatae
                                                                        vitae dicta sunt explicabo.
                                                                        Nemo enim ipsam voluptatem quia voluptas sit
                                                                        aspernatur aut odit aut fugit, sed quia
                                                                        consequuntur magni dolores eos qui
                                                                        ratione voluptatem sequi nesciunt. Neque porro
                                                                        quisquam est, qui dolorem ipsum quia dolor sit
                                                                        amet, consectetur, adipisci
                                                                        velit, sed quia non numquam eius modi tempora
                                                                        incidunt ut labore et dolore magnam aliquam
                                                                        quaerat voluptatem?
                                                                    </p>
                                                                </div>
                                                                <div class="tab-pane show active" id="profilePill">
                                                                    


                                                                    <div class="row">
                                                                        <div class="col-3 one-modal-show-product">
                                                                            # id:
                                                                        </div>
                                                                        <div class="col-9">
                                                                            5050
                                                                        </div>
                                                                        <div class="col-3 one-modal-show-product">
                                                                            Description:
                                                                        </div>
                                                                        <div class="col-9">
                                                                            5050
                                                                        </div>
                                                                        <div class="col-3 one-modal-show-product">
                                                                            Families:
                                                                        </div>
                                                                        <div class="col-9">
                                                                            5050
                                                                        </div>
                                                                        <div class="col-3 one-modal-show-product">
                                                                            Part Number:
                                                                        </div>
                                                                        <div class="col-9">
                                                                            5050
                                                                        </div>
                                                                        <div class="col-3 one-modal-show-product">
                                                                            Inventory:
                                                                        </div>
                                                                        <div class="col-9">
                                                                            5050
                                                                        </div>
                                                                        <div class="col-3 one-modal-show-product">
                                                                            ETA (days):
                                                                        </div>
                                                                        <div class="col-9">
                                                                            5050
                                                                        </div>
                                                                        <div class="col-3 one-modal-show-product">
                                                                            MOQ (units):
                                                                        </div>
                                                                        <div class="col-9">
                                                                            5050
                                                                        </div>
                                                                        <div class="col-3 one-modal-show-product">
                                                                            Price (USD):
                                                                        </div>
                                                                        <div class="col-9">
                                                                            5050
                                                                        </div>
                                                                    </div>



                                                                </div>
                                                                <div class="tab-pane" id="messagesPill">
                                                                    <img src="" alt="product">
                                                                </div>
                                                            </div>


                                                        </div>
                                                        <div class="modal-footer">
                                                            <button type="button" class="btn btn-secondary"
                                                                data-bs-dismiss="modal">Close</button>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        @else
                                            <tr>
                                                <td colspan="11" class="text-center">
                                                    {{ $mensaje }}
                                                </td>
                                            </tr>
                                        @endif
                                    </tbody>
                                </table>


                            </div>
                        </div>
                    </div>


                </div>

            </div>

            @include('dashboard.layouts.footer')

        </div>
    </div>

    @include('dashboard.layouts.scripts')

</body>

</html>
