<!DOCTYPE html>
<html lang="en" data-bs-theme="dark">

@include('dashboard.layouts.head')

<body>

    <div class="wrapper">

        @include('dashboard.layouts.header')

        @include('dashboard.layouts.modal-theme')

        @include('dashboard.layouts.nav')

        <div class="page-content">
            <div class="container-fluid">

                <div class="row">
                    <div class="col-xl-12">
                        <div class="card">
                            <div class="card-body">

                                <style>
                                    .profile-header {
                                        display: flex;
                                        align-items: center;
                                        border-bottom: 1px solid #ddd;
                                        padding-bottom: 15px;
                                        margin-bottom: 20px;
                                    }

                                    .profile-picture img {
                                        width: 100px;
                                        height: 100px;
                                        border-radius: 50%;
                                        margin-right: 20px;
                                    }

                                    .profile-info h1 {
                                        font-size: 24px;
                                        color: #333;
                                        margin-bottom: 5px;
                                    }

                                    .profile-info p {
                                        color: #666;
                                        margin: 3px 0;
                                    }

                                    .profile-direccion,
                                    .profile-billing {
                                        margin-bottom: 20px;
                                    }

                                    .profile-direccion h3,
                                    .profile-billing h3 {
                                        font-size: 18px;
                                        color: #333;
                                        margin-bottom: 10px;
                                        border-bottom: 1px solid #ddd;
                                        padding-bottom: 5px;
                                    }

                                    .profile-direccion .col-4,
                                    .profile-billing .col-4 {
                                        display: inline-block;
                                        width: 30%;
                                        padding: 10px;
                                        margin-right: 1.5%;
                                        background-color: #f9f9f9;
                                        text-align: center;
                                        border-radius: 8px;
                                        margin-bottom: 10px;
                                        box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
                                    }

                                    .profile-direccion .col-4:last-child,
                                    .profile-billing .col-4:last-child {
                                        margin-right: 0;
                                    }
                                </style>

                                <section class="profile-header">
                                    <div class="profile-picture">
                                        <img src="{{ asset('dashboard/images/users/user.png') }}" alt="Foto de perfil">
                                    </div>
                                    <div class="profile-info">
                                        <h1>{{ $perfil['nombre_completo'] }}</h1>
                                        <p>{{ $perfil['correo'] }}</p>
                                        <p>Website: {{ $perfil['website'] }}</p>
                                    </div>
                                </section>

                                <section class="profile-direccion">
                                    <h2>Address</h2>
                                    <div class="col-4">
                                        <label class="fw-bold">Bill adress 1: </label>
                                        <label for="">{{ $perfil['bill_adr_1'] }}</label>
                                    </div>
                                    <div class="col-4">
                                        <label class="fw-bold">Bill adress 2: </label>
                                        <label for="">{{ $perfil['bill_adr_2'] }}</label>
                                    </div>
                                    <div class="col-4">
                                        <label class="fw-bold">Zip: </label>
                                        <label for="">{{ $perfil['zip'] }}</label>
                                    </div>
                                    <div class="col-4">
                                        <label class="fw-bold">State: </label>
                                        <label for="">{{ $perfil['state'] }}</label>
                                    </div>
                                    <div class="col-4">
                                        <label class="fw-bold">Country: </label>
                                        <label for="">{{ $perfil['country'] }}</label>
                                    </div>
                                </section>

                                <section class="profile-billing">
                                    <h2>Billing Address</h2>
                                    <div class="col-4">
                                        <label class="fw-bold">Type of person: </label>
                                        <label for="">
                                            @if ($perfil['persona_fisica'])
                                                Moral
                                            @else
                                                Physical
                                            @endif
                                        </label>
                                    </div>
                                    <div class="col-4">
                                        <label class="fw-bold">Tax id: </label>
                                        <label for="">{{ $perfil['rfc'] }}</label>
                                    </div>

                                </section>

                                <section>
                                    <h2>Update password</h2>
                                    <form class="row" action="{{ route('customer.profile.updatedPwd') }}" method="POST">
                                        @csrf
                                        <div class="col-4">
                                            <div class="mb-3">
                                                <label for="simpleinput" class="form-label">Current password:</label>
                                                <input type="text" name="pwd" id="simpleinput" class="form-control" required>
                                            </div>
                                        </div>
                                        <div class="col-4">
                                            <div class="mb-3">
                                                <label for="simpleinput" class="form-label">New password:</label>
                                                <input type="text" name="pwdNew" id="simpleinput" class="form-control" required>
                                            </div>
                                        </div>
                                        <div class="col-4">
                                            <div class="mb-3">
                                                <label for="simpleinput" class="form-label">Confirm new password:</label>
                                                <input type="text" name="pwdConf" id="simpleinput" class="form-control" required>
                                            </div>
                                        </div>
                                        <div class="col-4">
                                            <button type="submit" class="btn btn-primary">Updated</button>
                                        </div>
                                    </form>
                                </section>

                            </div>
                        </div>
                    </div>
                </div>

            </div>

            @include('dashboard.layouts.footer')

        </div>
    </div>

    @include('dashboard.layouts.scripts')

</body>

</html>
