<!DOCTYPE html>
<html lang="en" data-bs-theme="dark">

@include('dashboard.layouts.head')

<body>

    <div class="wrapper">

        @include('dashboard.layouts.header')

        @include('dashboard.layouts.modal-theme')

        @include('dashboard.layouts.nav')

        <div class="page-content">
            <div class="container-fluid">

                <div class="row">
                    <div class="col-xl-12">
                        <form class="row" method="GET">
                            <div class="col-md-3">
                                <label class="fw-bold mt-1 pull-right">Initial Date: </label>
                                <input type="date" class="form-control"name="fch_ini" value="2024-11-01">
                                <small class="text-danger" id="errorInitialDate"></small>
                            </div>
                            <div class="col-md-3">
                                <label class="fw-bold mt-1  pull-right">Final Date: </label>
                                <input type="date" class="form-control"name="fch_fin" value="2024-11-11">
                                <small class="text-danger" id="errorFinalDate"></small>
                            </div>
                            <div class="col-md-3">
                                <label class="fw-bold mt-1 pull-right">Status: </label>
                                <select name="sts" class="form-control">
                                    <option value="0">All</option>
                                    <option value="1">Generated</option>
                                    <option value="2">In progress</option>
                                    <option value="3">Confirmed by warehouse</option>
                                    <option value="4">Partially received</option>
                                    <option value="5">Received</option>
                                    <option value="6">Cancelled</option>
                                </select>
                            </div>
                            <div class="col-md-1">
                                <label
                                    class="fw-bold mt-1 pull-right">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</label>
                                <button type="submit" class="btn btn-primary" title="Search">
                                    <svg xmlns="http://www.w3.org/2000/svg" width="1em" height="1em"
                                        viewBox="0 0 24 24">
                                        <g fill="none" stroke="currentColor" stroke-width="1.5">
                                            <path stroke-linecap="round"
                                                d="M22 14v-2c0-3.771 0-5.657-1.172-6.828S17.771 4 14 4m0 18h-4c-3.771 0-5.657 0-6.828-1.172S2 17.771 2 14v-2c0-3.771 0-5.657 1.172-6.828S6.229 4 10 4M7 4V2.5M17 4V2.5" />
                                            <circle cx="18" cy="18" r="3" />
                                            <path stroke-linecap="round" d="M20.5 20.5L22 22m-.5-13H10.75M2 9h3.875" />
                                        </g>
                                    </svg>
                                </button>
                            </div>
                        </form>

                    </div>


                </div>
                <div class="row">
                    <div class="col-xl-12">
                        <div class="card">
                            <div class="card-body">

                                <table class="table table-centered">
                                    <thead class="table-dark">
                                        <tr>
                                            <th scope="col">Date</th>
                                            <th scope="col">PO</th>
                                            <th scope="col">Vendor</th>
                                            <th scope="col">Total</th>
                                            <th scope="col">Balance</th>
                                            <th scope="col">Paid</th>

                                            <th scope="col">Approved</th>
                                            <th scope="col">Status</th>
                                            <th scope="col">Tracking</th>
                                            <th scope="col">Approximate payment date</th>
                                            <th scope="col">Latest Estimated Arrival</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        @if (!empty($ordenes))
                                            @foreach ($ordenes as $item)
                                                <tr>
                                                    <td>{{ $item['fecha_generado'] }}</td>
                                                    <td>
                                                        <a href="{{ route('vendor.orders.show', ['id' => $item['id']]) }}">
                                                            {{ $item['folio'] }}
                                                        </a>
                                                    </td>
                                                    <td>{{ $item['user_nombre'] }}</td>
                                                    <td>{{ $item['total'] }}</td>
                                                    <td>{{ $item['saldo'] }}</td>
                                                    <td>{{ $item['aprobado_name'] }}</td>

                                                    <td>{{ $item['pagado_status'] }}</td>
                                                    <td>{{ $item['estado_nivel_descripcion'] }}</td>
                                                    <td>{{ $item['tracking'] }}</td>
                                                    <td>{{ $item['fecha_pago_estimada'] }}</td>
                                                    <td>{{ $item['fecha_llegada_estimada'] }}</td>
                                                </tr>
                                            @endforeach
                                        @else
                                            <tr>
                                                <td colspan="11" class="text-center">
                                                    {{ $mensaje }}
                                                </td>
                                            </tr>
                                        @endif
                                    </tbody>
                                </table>
                                

                            </div>
                        </div>
                    </div>


                </div>

            </div>

            @include('dashboard.layouts.footer')

        </div>
    </div>

    @include('dashboard.layouts.scripts')

</body>

</html>
