<!DOCTYPE html>
@include('website.layouts.auth.head')

<body>
    <div class="container fade-in">
        <div class="logo">
            <a href="{{ route('website.home.index') }}" class="logo-image"><img
                    src="{{ asset('website/img/basic/logo_phonix_black.png') }}" alt="logo"></a>
        </div>
        @if (Request::is('login'))
            <h2 class="title-user">Sign In | Customer</h2>
            <form id="loginForm" action="{{ route('website.auth.login.post') }}" method="POST">
            @elseif (Request::is('login-vendor'))
                <h2>Sign In | Vendor</h2>
                <form id="loginForm" action="{{ route('vendor.auth.login.post') }}" method="POST">
        @endif
        @csrf
        <input type="email" name="user" placeholder="User email" required>
        <input type="password" id="password" name="password" placeholder="Password" required>
        <button type="submit">Login</button>
        @if (session('error'))
            <div class="text-alert"><i class="fa fa-times-circle-o" aria-hidden="true"></i> {{ session('error') }}</div>
        @endif
        @if (Request::is('login'))
            <a href="{{ route('customer.profile.recovery') }}">
            @elseif (Request::is('login-vendor'))
                <a href="{{ route('customer.profile.recovery') }}">
        @endif
        <small>Password Recovery</small>
        </a>
        <p>New? Create Account <a href="#"
                onclick="redirectWithAnimation('{{ route('website.auth.register') }}')">Register</a></p>
        </form>
        <script>
            document.getElementById('loginForm').addEventListener('submit', function(event) {
                event.preventDefault(); // Previene el envío inmediato del formulario
                const passwordField = document.getElementById('password');
                const encodedPassword = btoa(passwordField.value); // Codifica la contraseña en Base64
                passwordField.value = encodedPassword; // Reemplaza el valor del campo con el codificado
                this.submit(); // Envía el formulario con el valor codificado
            });
        </script>
    </div>

    <script src="{{ asset('website/js/script-login.js') }}"></script>
</body>

</html>
