<!DOCTYPE html>
@include('website.layouts.auth.head')

<body>
    <div class="container fade-in container-register">
        <div class="logo">
            <a href="{{ route('website.home.index') }}" class="logo-image"><img
                    src="{{ asset('website/img/basic/logo_phonix_black.png') }}" alt="logo"></a>
        </div>
        @if (Request::is('register'))
            <h2 class="title-user">Sign Up | Customer & Agent</h2>
            <form id="loginForm" action="{{ route('website.auth.register.post') }}" method="POST" enctype="multipart/form-data"->
            @elseif (Request::is('register-vendor'))
                <h2>Sign Up | Vendor</h2>
                <form id="loginForm" action="{{ route('vendor.auth.register.post') }}" method="POST">
        @endif
        @csrf

        <div class="row">
            <h6>Personal Information</h6>
            <div class="col-6 mb-3" style="text-align: left">
                <label for="exampleInputName" class="form-label" style="text-align: left">Name <span
                        class="text-danger">*</span></label>
                <input type="text" class="form-control" name="personalName" id="exampleInputName"
                    aria-describedby="emailHelp" placeholder="Ex. Juan" required>
            </div>
            <div class="col-6 mb-3" style="text-align: left">
                <label for="exampleInputLast" class="form-label" style="text-align: left">Last Name <span
                        class="text-danger">*</span></label>
                <input type="text" class="form-control" name="personalLast" id="exampleInputLast"
                    aria-describedby="emailHelp" placeholder="Ex. Derck" required>
            </div>
            <div class="col-6 mb-3" style="text-align: left">
                <label for="exampleInputEmail" class="form-label" style="text-align: left">Email <span
                        class="text-danger">*</span></label>
                <input type="email" class="form-control" name="personalEmail" id="exampleInputEmail"
                    aria-describedby="emailHelp" placeholder="Ex. derk@domain.com" required>
            </div>
            <div class="col-6 mb-3" style="text-align: left">
                <label for="exampleInputPhone" class="form-label" style="text-align: left">Phone <span
                        class="text-danger">*</span></label>
                <input type="text" class="form-control" name="personalPhone" id="exampleInputPhone"
                    aria-describedby="emailHelp" placeholder="Ex. +529999999999" required>
            </div>
            <div class="col-6 mb-3" style="text-align: left">
                <label for="exampleInputWhatsapp" class="form-label" style="text-align: left">WhatsApp</label>
                <input type="text" class="form-control" name="personalWhatsApp" id="exampleInputWhatsapp"
                    aria-describedby="emailHelp" placeholder="Ex. +529999999999">
            </div>
        </div>
        <div class="row">
            <h6>Company</h6>
            <div class="col-6 mb-3" style="text-align: left">
                <label for="exampleInputCompany" class="form-label" style="text-align: left">Company Name</label>
                <input type="text" class="form-control" name="companyName" id="exampleInputCompany"
                    aria-describedby="emailHelp" placeholder="Ex. Micro Sun">
            </div>
            <div class="col-6 mb-3" style="text-align: left">
                <label for="exampleInputWebsite" class="form-label" style="text-align: left">Company Website</label>
                <input type="text" class="form-control" name="companyWebsite" id="exampleInputWebsite"
                    placeholder="www.mywebsite.com">
            </div>
        </div>
        <div class="row">
            <h6>Address</h6>
            <div class="col-6 mb-3" style="text-align: left">
                <label for="exampleInputBilling" class="form-label" style="text-align: left">Billing Address <span
                        class="text-danger">*</span></label>
                <input type="text" class="form-control" name="addressBilling" id="exampleInputBilling"
                    placeholder="Ex. My Street, Kingston" required>
            </div>
            <div class="col-6 mb-3" style="text-align: left">
                <label for="exampleInputBilling2" class="form-label" style="text-align: left">Billing Address
                    Line</label>
                <input type="text" class="form-control" name="addressBilling2" id="exampleInputBilling2"
                    placeholder="Ex. South Lake St.">
            </div>
            <div class="col-6 mb-3" style="text-align: left">
                <label for="exampleInputCity" class="form-label" style="text-align: left">City <span
                        class="text-danger">*</span></label>
                <input type="text" class="form-control" name="addressCity" id="exampleInputCity"
                    placeholder="Ex. Dallas" required>
            </div>
            <div class="col-6 mb-3" style="text-align: left">
                <label for="exampleInputProvince" class="form-label" style="text-align: left">State/Province <span
                        class="text-danger">*</span></label>
                <input type="text" class="form-control" name="addressProvince" id="exampleInputProvince"
                    placeholder="Ex. Texas" required>
            </div>
            <div class="col-6 mb-3" style="text-align: left">
                <label for="exampleInputZip" class="form-label" style="text-align: left">Zip Code</label>
                
                <input type="text" class="form-control" name="addressZip" id="exampleInputZip"
                    placeholder="Ex. 97000">
            </div>
            <div class="col-6 mb-3" style="text-align: left">
                <label for="exampleInputCountry" class="form-label" style="text-align: left">Country</label>
                <select name="addressCountry" id="" class="form-control">
                    @foreach ($paises as $item)
                        <option value="{{ $item['calve'] }}">{{ $item['calve'] . ' - ' . $item['nombre'] }}</option>
                    @endforeach
                </select>
            </div>
        </div>
        <div class="row">
            <h6>Password</h6>
            <div class="col-6 mb-3" style="text-align: left">
                <label for="exampleInputPassword" class="form-label" style="text-align: left">Password<span
                        class="text-danger">*</span></label>
                <input type="password" class="form-control" name="password" id="exampleInputPassword" required>
            </div>
            <div class="col-6 mb-3" style="text-align: left">
                <label for="exampleInputPassword2" class="form-label" style="text-align: left">Confirm Password<span
                        class="text-danger">*</span></label>
                <input type="password" class="form-control" name="passwordConf" id="exampleInputPassword2" required>
            </div>
        </div>
        <div class="row">
            <h6>Documents</h6>
            <div class="col-12">
                <div class="alert alert-info alert-dismissible fade show" role="alert">
                    <strong><i class="fa fa-exclamation-circle" aria-hidden="true"></i> The maximum upload per file is
                        4mb</strong>
                </div>
            </div>
            <div class="col-6 mb-3" style="text-align: left">
                <label for="exampleInputCompany" class="form-label" style="text-align: left">Company Ownership
                    Info</label>
                <input type="file" class="form-control" name="fileCompany" id="exampleInputCompany">
            </div>
            <div class="col-6 mb-3" style="text-align: left">
                <label for="exampleInputTax" class="form-label" style="text-align: left">Tax ID Certificate</label>
                <input type="file" class="form-control" name="fileTaxt" id="exampleInputTax">
            </div>
            <div class="col-6 mb-3" style="text-align: left">
                <label for="exampleInputOwner" class="form-label" style="text-align: left">Company Owner</label>
                <input type="file" class="form-control" name="fileOwner" id="exampleInputOwner">
            </div>
            <div class="col-6 mb-3" style="text-align: left">
                <label for="exampleInputLegal" class="form-label" style="text-align: left">Legal Representative
                    ID</label>
                <input type="file" class="form-control" name="fileLegal" id="exampleInputLegal">
            </div>
            <div class="col-6 mb-3" style="text-align: left">
                <label for="exampleInputResale" class="form-label" style="text-align: left">Resale Tax Certificate
                    (For US Companies)</label>
                <input type="file" class="form-control" name="fileResale" id="exampleInputResale">
            </div>
        </div>
        <div class="row">
            <h6>Adittional Information</h6>
            <div class="col-6 mb-3" style="text-align: left">
                <label for="exampleInputFind" class="form-label" style="text-align: left">How You Find Us?<span
                        class="text-danger">*</span></label>
                <select class="form-control" id="exampleInputFind" name="addFindUs" id="">
                    <option value="">Select an option</option>
                    <option value="Social Networks">Social Networks</option>
                    <option value="Magazine">Magazine</option>
                    <option value="Google">Google</option>
                    <option value="Account Executive">Account Executive</option>
                    <option value="Events">Events</option>
                    <option value="Marketing Email">Marketing Email</option>
                </select>
            </div>
            <div class="col-6 mb-3" style="text-align: left">
                <label for="exampleInputFind" class="form-label" style="text-align: left">Total Annual Sales<span
                        class="text-danger">*</span></label>
                <select class="form-control" id="exampleInputFind" name="addTotalSales" id="">
                    <option value="">Select an option</option>
                    <option value="0 - $999,999">0 - $999,999</option>
                    <option value="$1,000,000-$4,999,999">$1,000,000-$4,999,999</option>
                    <option value="$5,000,000-$9,999,999">$5,000,000-$9,999,999</option>
                    <option value="$10,000,000-$19,999,999">$10,000,000-$19,999,999</option>
                    <option value="$20,000,000-$49,999,999">$20,000,000-$49,999,999</option>
                    <option value="$50,000,000-$99,999,999">$50,000,000-$99,999,999</option>
                    <option value="$100,000,000+">$100,000,000+</option>
                </select>
            </div>
            <div class="col-6 mb-3" style="text-align: left">
                <label for="exampleInputFind" class="form-label" style="text-align: left">Type of Company<span
                        class="text-danger">*</span></label>
                <select class="form-control" id="exampleInputFind" name="addTypeCompany" id="">
                    <option value="">Select an option</option>
                    <option value="Retailer/Reseller">Retailer/Reseller</option>
                    <option value="Manufacturer">Manufacturer</option>
                    <option value="Distributor">Distributor</option>
                    <option value="Other">Other</option>
                </select>
            </div>
            <div class="col-6 mb-3" style="text-align: left">
                <label for="exampleInputOther" class="form-label" style="text-align: left">*Other</label>
                <input type="text" class="form-control" name="addOther" id="exampleInputOther"
                    placeholder="Ex. Note">
            </div>
        </div>
        <div class="row">
            <h6>Preferences</h6>
            <div class="col-12 mb-3" style="text-align: left">
                <div class="row">
                    <div class="col-md-4">
                        <div class="form-check">
                            <input class="form-check-input" type="checkbox" value="3" id="family3"
                                name="familiesIds[]">
                            <label class="form-check-label" for="flexCheckDefault">
                                JUST LAUNCHED
                            </label>
                        </div>
                    </div>
                    <div class="col-md-4">
                        <div class="form-check">
                            <input class="form-check-input" type="checkbox" value="37" id="family37"
                                name="familiesIds[]">
                            <label class="form-check-label" for="flexCheckDefault">
                                TODAYS DEALS
                            </label>
                        </div>
                    </div>
                    <div class="col-md-4">
                        <div class="form-check">
                            <input class="form-check-input" type="checkbox" value="101" id="family101"
                                name="familiesIds[]">
                            <label class="form-check-label" for="flexCheckDefault">
                                PRICE DROP
                            </label>
                        </div>
                    </div>
                    <div class="col-md-4">
                        <div class="form-check">
                            <input class="form-check-input" type="checkbox" value="10" id="family10"
                                name="familiesIds[]">
                            <label class="form-check-label" for="flexCheckDefault">
                                LAPTOPS
                            </label>
                        </div>
                    </div>
                    <div class="col-md-4">
                        <div class="form-check">
                            <input class="form-check-input" type="checkbox" value="12" id="family12"
                                name="familiesIds[]">
                            <label class="form-check-label" for="flexCheckDefault">
                                DESKTOP PC
                            </label>
                        </div>
                    </div>
                    <div class="col-md-4">
                        <div class="form-check">
                            <input class="form-check-input" type="checkbox" value="20" id="family20"
                                name="familiesIds[]">
                            <label class="form-check-label" for="flexCheckDefault">
                                COMPONENTS
                            </label>
                        </div>
                    </div>
                    <div class="col-md-4">
                        <div class="form-check">
                            <input class="form-check-input" type="checkbox" value="16" id="family16"
                                name="familiesIds[]">
                            <label class="form-check-label" for="flexCheckDefault">
                                ACCESSORIES
                            </label>
                        </div>
                    </div>
                    <div class="col-md-4">
                        <div class="form-check">
                            <input class="form-check-input" type="checkbox" value="13" id="family13"
                                name="familiesIds[]">
                            <label class="form-check-label" for="flexCheckDefault">
                                TV
                            </label>
                        </div>
                    </div>
                    <div class="col-md-4">
                        <div class="form-check">
                            <input class="form-check-input" type="checkbox" value="19" id="family19"
                                name="familiesIds[]">
                            <label class="form-check-label" for="flexCheckDefault">
                                ALL IN ONE
                            </label>
                        </div>
                    </div>
                    <div class="col-md-4">
                        <div class="form-check">
                            <input class="form-check-input" type="checkbox" value="23" id="family23"
                                name="familiesIds[]">
                            <label class="form-check-label" for="flexCheckDefault">
                                GAMING
                            </label>
                        </div>
                    </div>
                    <div class="col-md-4">
                        <div class="form-check">
                            <input class="form-check-input" type="checkbox" value="27" id="family27"
                                name="familiesIds[]">
                            <label class="form-check-label" for="flexCheckDefault">
                                NUCS
                            </label>
                        </div>
                    </div>
                    <div class="col-md-4">
                        <div class="form-check">
                            <input class="form-check-input" type="checkbox" value="34" id="family34"
                                name="familiesIds[]">
                            <label class="form-check-label" for="flexCheckDefault">
                                COMPUTER PERIPHERALS
                            </label>
                        </div>
                    </div>
                    <div class="col-md-4">
                        <div class="form-check">
                            <input class="form-check-input" type="checkbox" value="43" id="family43"
                                name="familiesIds[]">
                            <label class="form-check-label" for="flexCheckDefault">
                                MOBILE
                            </label>
                        </div>
                    </div>
                    <div class="col-md-4">
                        <div class="form-check">
                            <input class="form-check-input" type="checkbox" value="106" id="family106"
                                name="familiesIds[]">
                            <label class="form-check-label" for="flexCheckDefault">
                                GADGETS
                            </label>
                        </div>
                    </div>
                    <div class="col-md-4">
                        <div class="form-check">
                            <input class="form-check-input" type="checkbox" value="109" id="family109"
                                name="familiesIds[]">
                            <label class="form-check-label" for="flexCheckDefault">
                                HOUSEHOLD APPLIANCES
                            </label>
                        </div>
                    </div>
                    <div class="col-md-4">
                        <div class="form-check">
                            <input class="form-check-input" type="checkbox" value="116" id="family116"
                                name="familiesIds[]">
                            <label class="form-check-label" for="flexCheckDefault">
                                BEAUTY AND PERSONAL CARE
                            </label>
                        </div>
                    </div>
                    <div class="col-md-4">
                        <div class="form-check">
                            <input class="form-check-input" type="checkbox" value="119" id="family119"
                                name="familiesIds[]">
                            <label class="form-check-label" for="flexCheckDefault">
                                CLOTHING
                            </label>
                        </div>
                    </div>
                    <div class="col-md-4">
                        <div class="form-check">
                            <input class="form-check-input" type="checkbox" value="140" id="family140"
                                name="familiesIds[]">
                            <label class="form-check-label" for="flexCheckDefault">
                                BULK PRICING
                            </label>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <button type="submit">Register</button>
        <p>Log in to your account? <a href="#"
                onclick="redirectWithAnimation('{{ route('website.auth.login') }}')">Login</a></p>
        </form>
    </div>

    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/js/bootstrap.bundle.min.js"
        integrity="sha384-MrcW6ZMFYlzcLA8Nl+NtUVF0sA7MsXsP1UyJoMp4YLEuNSfAP+JcXn/tWtIaxVXM" crossorigin="anonymous">
    </script>
    <script src="{{ asset('website/js/script-login.js') }}"></script>

    <script>
        document.addEventListener('DOMContentLoaded', function() {
            var mensajeAPI = "{{ session('mensajeAPI') }}";
            var estadoAPI = "{{ session('estadoAPI') }}";
    
            if (estadoAPI === '100') {
                // Crear el elemento del toast
                var toastHTML = `
                    <div class="toast-custom" id="customToast">
                        <div class="toast-header">Success</div>
                        <div class="toast-body">${mensajeAPI}</div>
                        <button class="btn-close" onclick="closeToast()">×</button>
                    </div>`;
    
                // Insertar el toast en el cuerpo del documento
                document.body.insertAdjacentHTML('beforeend', toastHTML);
    
                // Mostrar el toast con una animación
                setTimeout(function() {
                    document.getElementById('customToast').classList.add('show');
                }, 100); // Mostrar después de un pequeño retraso
    
                // Cerrar automáticamente el toast después de 5 segundos
                setTimeout(closeToast, 5000);
            } else if (estadoAPI === '200') {
                // Crear el elemento del toast
                var toastHTML = `
                    <div class="toast-custom" id="customToast">
                        <div class="toast-header">Success!</div>
                        <div class="toast-body">${mensajeAPI}</div>
                        <button class="btn-close" onclick="closeToast()">×</button>
                    </div>`;
    
                // Insertar el toast en el cuerpo del documento
                document.body.insertAdjacentHTML('beforeend', toastHTML);
    
                // Mostrar el toast con una animación
                setTimeout(function() {
                    document.getElementById('customToast').classList.add('show');
                }, 100); // Mostrar después de un pequeño retraso
    
                // Cerrar automáticamente el toast después de 5 segundos
                setTimeout(closeToast, 5000);
            } else if (estadoAPI === '400') {
                // Crear el elemento del toast
                var toastHTML = `
                    <div class="toast-custom" id="customToast">
                        <div class="toast-header">Atention!</div>
                        <div class="toast-body">${mensajeAPI}</div>
                        <button class="btn-close" onclick="closeToast()">×</button>
                    </div>`;
    
                // Insertar el toast en el cuerpo del documento
                document.body.insertAdjacentHTML('beforeend', toastHTML);
    
                // Mostrar el toast con una animación
                setTimeout(function() {
                    document.getElementById('customToast').classList.add('show');
                }, 100); // Mostrar después de un pequeño retraso
    
                // Cerrar automáticamente el toast después de 5 segundos
                setTimeout(closeToast, 5000);
            } 
        });
    
        function closeToast() {
            var toast = document.getElementById('customToast');
            if (toast) {
                toast.classList.remove('show');
                setTimeout(function() {
                    toast.remove();
                }, 400); // Espera el tiempo de la transición antes de eliminar
            }
        }
    </script>
</body>

</html>
