<!doctype html>
<html class="no-js" lang="zxx">
@include('website.layouts.head')

<body class="one-main-theme">

    {{--  @include('website.layouts.preloader')  --}}

    @include('website.layouts.button-back-to-top')

    @include('website.layouts.header')

    @include('website.layouts.offcanvas')

    <main>
        <!-- page-banner-area-start -->
        {{--  <div class="page-banner-area page-banner-height-2"
            data-background="{{ asset('website/img/banner/page-banner-4.jpg') }}">
            <div class="container">
                <div class="row">
                    <div class="col-xl-12">
                        <div class="page-banner-content text-center">
                            <h4 class="breadcrumb-title">Your Cart</h4>
                            <div class="breadcrumb-two">
                                <nav>
                                    <nav class="breadcrumb-trail breadcrumbs">
                                        <ul class="breadcrumb-menu">
                                            <li class="breadcrumb-trail">
                                                <a href="{{ route('website.home.index') }}"><span>Home</span></a>
                                            </li>
                                            <li class="trail-item">
                                                <span>Cart</span>
                                            </li>
                                        </ul>
                                    </nav>
                                </nav>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>  --}}
        <!-- page-banner-area-end -->

        <!-- cart-area-start -->
        <section class="cart-area pt-120 pb-120">
            <div class="container">
                <div class="row">
                    <div class="col-12">
                        <form action="#">
                            <div class="table-content table-responsive">
                                <table class="table one-table-theme">
                                    <thead>
                                        <tr>
                                            <th class="product-thumbnail">Images</th>
                                            <th class="cart-product-name">Product</th>
                                            <th class="product-price">Unit Price</th>
                                            <th class="product-quantity">Quantity</th>
                                            <th class="product-subtotal">Total</th>
                                            <th class="product-remove">Remove</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        @if (!empty($miCarrito))
                                            @foreach ($miCarrito as $item)
                                                <tr>
                                                    <td class="product-thumbnail"><a href="{{ $item->LNK_PRD }}"><img
                                                                src="{{ $item->IMG_PRD }}" alt=""></a></td>
                                                    <td class="product-name"><a
                                                            href="{{ $item->LNK_PRD }}">{{ $item->NOM_PRD }}</a>
                                                    </td>
                                                    <td class="product-price"><span
                                                            class="amount">${{ $item->PRC_UNT }}</span></td>
                                                    <td class="product-quantity">
                                                        <div class="cart-plus-minus one-text-theme"
                                                            style="display: flex; align-items: center; gap: 5px;">
                                                            <form action="{{ route('website.cart.decrementoitem') }}"
                                                                method="POST" class="custom-form">
                                                                @csrf
                                                                <input type="hidden" name="rowId"
                                                                    value="{{ $item->ID_PRODUCTO }}">
                                                                <button type="submit" class="custom-button">-</button>
                                                            </form>
                                                            <input type="text" value="{{ $item->CANTIDAD }}"
                                                                class="one-text-theme">
                                                            <form action="{{ route('website.cart.incrementoitem') }}"
                                                                method="POST">
                                                                @csrf
                                                                <input type="hidden" name="rowId"
                                                                    value="{{ $item->ID_PRODUCTO }}">
                                                                <button type="submit" class="custom-button">+</button>
                                                            </form>

                                                            {{--  <div class="dec qtybutton one-qty-button">-</div>
                                                            <div class="inc qtybutton one-qty-button">+</div>  --}}
                                                        </div>
                                                    </td>
                                                    <td class="product-subtotal"><span
                                                            class="amount">${{ $item->SUB_TOT }}</span>
                                                    </td>
                                                    <td>

                                                        <form action="{{ route('website.cart.removeitem') }}"
                                                            method="POST">
                                                            @csrf
                                                            <input type="hidden" name="rowId"
                                                                value="{{ $item->ID_PRODUCTO }}">
                                                            <button type="submit" class="btn btn-danger"
                                                                style="font-size: 12px; padding: 5px 10px;">
                                                                <i class="fa fa-trash" aria-hidden="true"></i>
                                                            </button>
                                                        </form>
                                                    </td>
                                                </tr>
                                            @endforeach
                                        @else
                                            <tr>
                                                <td colspan="6" class="text-center">
                                                    Empty cart
                                                </td>
                                            </tr>
                                            Carrito vacio
                                        @endif
                                    </tbody>
                                </table>
                            </div>
                            <div class="row">
                                <div class="col-12 mt-20">
                                    <a href="{{ route('website.products.index') }}">
                                        <button type="button" class="tp-btn-h1 one-btn-continue">Continue
                                            shopping</button>
                                    </a>
                                </div>
                            </div>
                            @if (!empty(session('miCarritoSuma')))
                                <div class="row justify-content-end">
                                    <div class="col-md-5">
                                        <div class="cart-page-total">
                                            <h2 class="one-text-theme">Cart totals</h2>
                                            <ul class="mb-20">
                                                <li class="one-text-theme">Total <span
                                                        class="one-text-theme">${{ session('miCarritoSuma') }}</span>
                                                </li>
                                            </ul>
                                            <a class="tp-btn-h1 one-btn-continue" href="{{ route('website.checkout.index') }}">Proceed
                                                to checkout</a>
                                        </div>
                                    </div>
                                </div>
                            @endif

                        </form>
                    </div>
                </div>
            </div>
        </section>
        <!-- cart-area-end -->

    </main>

    @include('website.layouts.footer')

    <!-- JS here -->
    @include('website.layouts.scripts')
</body>

</html>
