<!doctype html>
<html class="no-js" lang="zxx">
@include('website.layouts.head')

<body class="one-main-theme">

    {{--  @include('website.layouts.preloader')  --}}

    @include('website.layouts.button-back-to-top')

    @include('website.layouts.header')

    @include('website.layouts.offcanvas')

    <main>
        <!-- page-banner-area-start -->
        <div class="page-banner-area page-banner-height-2" data-background="assets/img/banner/page-banner-4.jpg">
            <div class="container">
                <div class="row">
                    <div class="col-xl-12">
                        <div class="page-banner-content text-center">
                            <h4 class="breadcrumb-title">Checkout</h4>
                            <div class="breadcrumb-two">
                                <nav>
                                    <nav class="breadcrumb-trail breadcrumbs">
                                        <ul class="breadcrumb-menu">
                                            <li class="breadcrumb-trail">
                                                <a href="index.html"><span>Home</span></a>
                                            </li>
                                            <li class="trail-item">
                                                <span>Checkout</span>
                                            </li>
                                        </ul>
                                    </nav>
                                </nav>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- page-banner-area-end -->

        <!-- coupon-area-start -->
        <section class="coupon-area pt-40 pb-30">
            <div class="container">
                <div class="row">
                    <div class="col-12 mb-50">
                        <div class="row">
                            <h3 class="one-text-theme mb-15">My Customer Information</h3>
                            <div class="col-md-3">
                                <label class="form-label one-text-theme">First Name:</label>
                                <input type="text" class="form-control one-input-checkout"
                                    placeholder="{{ session('usuario_data')['nombre'] }}" disabled>
                            </div>
                            <div class="col-md-3">
                                <label class="form-label one-text-theme">Last Name:</label>
                                <input type="text" class="form-control one-input-checkout"
                                    placeholder="{{ session('usuario_data')['ape_pat'] }}" disabled>
                            </div>
                            <div class="col-md-3">
                                <label class="form-label one-text-theme">Phone:</label>
                                <input type="text" class="form-control one-input-checkout"
                                    placeholder="{{ session('usuario_data')['cel_contacto'] }}" disabled>
                            </div>
                            <div class="col-md-3">
                                <label class="form-label one-text-theme">Email Address:</label>
                                <input type="text" class="form-control one-input-checkout"
                                    placeholder="{{ session('usuario_data')['correo'] }}" disabled>
                            </div>
                            <div class="col-md-3">
                                <label class="form-label one-text-theme">Payments Conditions:</label>
                                <input type="text" class="form-control one-input-checkout"
                                    placeholder="{{ session('usuario_data')['condicion_pago'] }}" disabled>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </section>
        <!-- coupon-area-end -->

        <!-- checkout-area-start -->
        <section class="checkout-area pb-85">
            <div class="container">
                <div class="row">
                    <div class="col-lg-6">

                        <h3 class="one-text-theme mb-15">Delivery Types</h3>
                        <div class="col-6">
                            <div class="form-check">
                                <input class="form-check-input" type="radio" name="flexRadioDefault"
                                    id="flexRadioDefault2" checked value="0">
                                <label class="form-check-label" for="flexRadioDefault2">
                                    Home Delivery
                                </label>
                            </div>
                            <div class="form-check">
                                <input class="form-check-input" type="radio" name="flexRadioDefault"
                                    id="flexRadioDefault1" value="1">
                                <label class="form-check-label" for="flexRadioDefault1">
                                    Go To Collect
                                </label>
                            </div>
                        </div>

                        <div class="col-12" id="pickup-info" style="display: none;">
                            <div class="checkout-form-list">
                                <label>Who picks up the order? <span class="required">*</span></label>
                                <input type="text" name="pickUpName" placeholder="Ej. Jhon Carter" required>
                            </div>
                        </div>

                        <script>
                            document.addEventListener("DOMContentLoaded", function() {
                                const homeDeliveryRadio = document.getElementById("flexRadioDefault2");
                                const goToCollectRadio = document.getElementById("flexRadioDefault1");
                                const pickupInfo = document.getElementById("pickup-info");

                                function togglePickupInfo() {
                                    if (goToCollectRadio.checked) {
                                        pickupInfo.style.display = "block";
                                    } else {
                                        pickupInfo.style.display = "none";
                                    }
                                }

                                // Initial check when the page loads
                                togglePickupInfo();

                                // Add event listeners to both radio buttons
                                homeDeliveryRadio.addEventListener("change", togglePickupInfo);
                                goToCollectRadio.addEventListener("change", togglePickupInfo);
                            });
                        </script>


                        <h3 class="one-text-theme mt-50">Delivery Types</h3>
                        <div class="col-12 one-delivery-types-principal">
                            <table class="table one-text-theme">
                                <thead>
                                    <tr>
                                        <th scope="col">-</th>
                                        <th scope="col">Description</th>
                                        <th scope="col">Address</th>
                                        <th scope="col">References</th>
                                        <th scope="col">Phone</th>
                                        <th scope="col">...</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    @if (!empty($direcciones))
                                        @foreach ($direcciones as $item)
                                            <tr>
                                                <th>
                                                    <input type="radio" name="direccion_predeterminada"
                                                        value="{{ $item['id'] }}"
                                                        {{ $item['predeterminada'] ? 'checked' : '' }}>
                                                </th>
                                                <td>{{ $item['desc'] }}</td>
                                                <td>{{ $item['detalle'] }}</td>
                                                <td>{{ $item['referencias'] }}</td>
                                                <td>{{ $item['telefono'] }}</td>
                                                <td>
                                                    <a href="#" class="btn btn-primary" data-bs-toggle="modal"
                                                        data-bs-target="#productModalId-{{ $item['id'] }}">
                                                        <i class="fa fa-pencil" aria-hidden="true"></i>
                                                    </a>
                                                    <form id="delated-delivery-form-{{ $item['id'] }}"
                                                        action="{{ route('website.checkout.delated-direction') }}"
                                                        method="POST" style="display: none;">
                                                        <input type="hidden" name="id"
                                                            value="{{ $item['id'] }}">
                                                        @csrf
                                                    </form>
                                                    <a
                                                        onclick="event.preventDefault(); document.getElementById('delated-delivery-form-{{ $item['id'] }}').submit();">
                                                        <button class="btn btn-danger">
                                                            <i class="fa fa-trash" aria-hidden="true"></i>
                                                        </button>
                                                    </a>
                                                </td>
                                            </tr>
                                        @endforeach
                                    @else
                                        <tr>
                                            <td colspan="6" class="text-center">No addresses saved</td>
                                        </tr>
                                    @endif

                                </tbody>
                            </table>

                            <div class="coupon-accordion">
                                <!-- ACCORDION START -->
                                <h3>Add New Delivery Address? <span id="showlogin">Press here</span></h3>
                                <div id="checkout-login" class="coupon-content">
                                    <div class="coupon-info">
                                        <div class="checkbox-form">
                                            <form action="{{ route('website.checkout.created-direction') }}"
                                                method="POST">
                                                @csrf
                                                <div class="row">
                                                    <div class="col-md-6">
                                                        <div class="checkout-form-list">
                                                            <label>Phone/Mobile <span class="required">*</span></label>
                                                            <input type="text" name="telefono"
                                                                placeholder="Ej. +19995551112" required>
                                                        </div>
                                                    </div>
                                                    <div class="col-md-6">
                                                        <div class="checkout-form-list">
                                                            <label>Address Description <span
                                                                    class="required">*</span></label>
                                                            <input type="text" name="address"
                                                                placeholder="Ej. Office, House" required>
                                                        </div>
                                                    </div>
                                                    <div class="col-md-6">
                                                        <div class="checkout-form-list">
                                                            <label>Street <span class="required">*</span></label>
                                                            <input type="text" name="calle"
                                                                placeholder="Ej. Lincoln Road" required>
                                                        </div>
                                                    </div>
                                                    <div class="col-md-6">
                                                        <div class="checkout-form-list">
                                                            <label>Number <span class="required">*</span></label>
                                                            <input type="text" name="numExt"
                                                                placeholder="Ej. 552" required>
                                                        </div>
                                                    </div>
                                                    <div class="col-md-6">
                                                        <div class="checkout-form-list">
                                                            <label>Number (internal)</label>
                                                            <input type="text" name="numInt"
                                                                placeholder="Ej. APT 4">
                                                        </div>
                                                    </div>
                                                    <div class="col-md-6">
                                                        <div class="checkout-form-list">
                                                            <label>Intersections 1</label>
                                                            <input type="text" name="cruzamiento1"
                                                                placeholder="Ej. St. South Lake">
                                                        </div>
                                                    </div>
                                                    <div class="col-md-6">
                                                        <div class="checkout-form-list">
                                                            <label>Intersection 2 </label>
                                                            <input type="text" name="cruzamiento2"
                                                                placeholder="Ej. St. Meirose">
                                                        </div>
                                                    </div>
                                                    <div class="col-md-6">
                                                        <div class="checkout-form-list">
                                                            <label>Zip Code <span class="required">*</span></label>
                                                            <input type="text" name="codigoPostal"
                                                                placeholder="Ej. 97000" required>
                                                        </div>
                                                    </div>


                                                    <div class="col-md-12">
                                                        <div class="checkout-form-list">
                                                            <label>Neigborhood <span class="required">*</span></label>
                                                            <input type="text" name="asentamiento"
                                                                placeholder="Ej. Green Hill" required>
                                                        </div>
                                                    </div>
                                                    <div class="col-md-12">
                                                        <div class="checkout-form-list">
                                                            <label>Province <span class="required">*</span></label>
                                                            <input type="text" name="municipio"
                                                                placeholder="Ej. Brevard" required>
                                                        </div>
                                                    </div>
                                                    <div class="col-md-12">
                                                        <div class="checkout-form-list">
                                                            <label>State <span class="required">*</span></label>
                                                            <input type="text" name="estado"
                                                                placeholder="Ej. Florida" required>
                                                        </div>
                                                    </div>
                                                    <div class="col-md-12">
                                                        <div class="checkout-form-list">
                                                            <label>Country <span class="required">*</span></label>
                                                            <input type="text" name="pais"
                                                                placeholder="Ej. EUA" required>
                                                        </div>
                                                    </div>
                                                    <div class="col-md-12">
                                                        <div class="checkout-form-list">
                                                            <label>Address References <span
                                                                    class="required">*</span></label>
                                                            <input type="text" name="referencia"
                                                                placeholder="Ej. 97000" required>
                                                        </div>
                                                    </div>
                                                    <div class="col-md-12">
                                                        <div class="form-check">
                                                            <input class="form-check-input" type="radio"
                                                                name="predeterminada" id="predeterminada1"
                                                                value="1">
                                                            <label class="form-check-label" for="predeterminada1">
                                                                Default Address
                                                            </label>
                                                        </div>
                                                        <div class="form-check">
                                                            <input class="form-check-input" type="radio"
                                                                name="predeterminada" id="predeterminada2" checked
                                                                value="0">
                                                            <label class="form-check-label" for="predeterminada2">
                                                                Not Default Address
                                                            </label>
                                                        </div>
                                                    </div>
                                                    <div class="col-md-12">
                                                        <div class="payment-method">
                                                            <div class="order-button-payment mt-20">
                                                                <button type="submit" class="tp-btn-h1">Save</button>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </form>



                                        </div>
                                    </div>
                                </div>
                                <!-- ACCORDION END -->
                            </div>

                        </div>
                    </div>
                    <div class="col-lg-6">
                        <form id="creacion" action="{{ route('website.checkout.createdOrden') }}"
                            class="your-order mb-0 " method="POST">
                            @csrf
                            <h3 class="one-text-theme">Your order</h3>
                            <div class="your-order-table table-responsive">
                                <table>
                                    <thead>
                                        <tr>
                                            <th class="product-name one-text-theme">Product</th>
                                            <th class="product-total one-text-theme">Total</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        @foreach (session('miCarrito') as $item)
                                            <tr class="cart_item">
                                                <td class="product-name">
                                                    {{ $item->NOM_PRD }} <strong class="product-quantity"> ×
                                                        {{ $item->CANTIDAD }}</strong>
                                                </td>
                                                <td class="product-total">
                                                    <span class="amount">${{ $item->SUB_TOT }}</span>
                                                </td>
                                            </tr>
                                        @endforeach
                                    </tbody>
                                    <tfoot>
                                        <tr class="cart-subtotal">
                                            <th>Cart Subtotal</th>
                                            <td><span class="amount">${{ session('miCarritoSuma') }}</span></td>
                                        </tr>
                                        <tr class="shipping">
                                            <th>Packaging Type</th>
                                            <td>
                                                <ul>
                                                    <li>
                                                        <input type="radio" name="shipping" value="4">
                                                        <label>
                                                            LCL
                                                        </label>
                                                    </li>
                                                    <li>
                                                        <input type="radio" name="shipping" value="5">
                                                        <label>
                                                            Box for, Export<span class="amount">*</span>
                                                        </label>
                                                    </li>
                                                    <li>
                                                        <input type="radio" name="shipping" value="6">
                                                        <label>
                                                            Pallet for exportation
                                                        </label>
                                                    </li>
                                                </ul>
                                            </td>

                                        </tr>
                                        <tr>
                                            <td colspan="2">
                                                *After 2 boxes, each additional box is $5 each
                                            </td>
                                        </tr>
                                        <tr class="order-total">
                                            <th>Order Total</th>
                                            <td><strong><span class="amount">$215.00</span></strong>
                                            </td>
                                        </tr>
                                    </tfoot>
                                </table>
                            </div>

                            <div class="payment-method">
                                <div class="checkout-form-list">
                                    <label class="one-label-checkout one-text-theme">Add a note <span
                                            class="required" style="font-size: 10px">(optional)</span></label>
                                    <input type="text" name="nota"
                                        placeholder="Write your note...">
                                </div>
                                <input type="hidden" name="idDir" value="">
                                <input type="hidden" name="checkPassV" value="">
                                <input type="hidden" name="nombrePassV" value="">
                                <div class="order-button-payment mt-20">
                                    <button type="submit" class="tp-btn-h1">Place order</button>
                                </div>
                            </div>
                        </form>
                        
                        <script>
                            $(document).ready(function() {
                                // Escuchar el evento submit en el formulario con ID "creacion"
                                $("#creacion").submit(function(event) {
                                    // Obtener el valor del radio seleccionado
                                    var idDir = $("input[name='direccion_predeterminada']:checked").val();
                                    // Asignar el valor al campo oculto 'idDir'
                                    $("input[name='idDir']").val(idDir);

                                    // Obtener el valor del check seleccionado
                                    var checkPassV = $("input[name='flexRadioDefault']:checked").val();
                                    // Asignar el valor al campo oculto 'idDir'
                                    $("input[name='checkPassV']").val(checkPassV);

                                    // Obtener el valor del nombre
                                    var nombrePassV = $("input[name='pickUpName']").val();
                                    // Asignar el valor al campo oculto 'idDir'
                                    $("input[name='nombrePassV']").val(nombrePassV);
                                });
                            });
                        </script>
                    </div>
                </div>
            </div>
        </section>

        @if (!empty($direcciones))
            @foreach ($direcciones as $item)
                <!-- checkout-area-end -->
                <div class="modal fade" id="productModalId-{{ $item['id'] }}" tabindex="-1" role="dialog"
                    aria-hidden="true">
                    <div class="modal-dialog modal-dialog-centered product__modal" role="document">
                        <div class="modal-content">
                            <div class="product__modal-wrapper p-relative">
                                <div class="product__modal-close p-absolute">
                                    <button data-bs-dismiss="modal"><i class="fal fa-times"></i></button>
                                </div>
                                <div class="product__modal-inner">
                                    <div class="row">
                                        <div class="col-12">
                                            <form action="{{ route('website.checkout.edit-direction') }}"
                                                class="product__modal-box" method="POST">
                                                @csrf
                                                <h3>Edit direction: {{ $item['id'] }}</h3>
                                                <div class="row">
                                                    <div class="row">
                                                        <div class="col-md-6">
                                                            <div class="checkout-form-list">
                                                                <label class="one-label-checkout">Phone/Mobile <span
                                                                        class="required">*</span></label>
                                                                <input type="text" name="telefono"
                                                                    value="{{ $item['telefono'] }}" required>
                                                            </div>
                                                        </div>
                                                        <div class="col-md-6">
                                                            <div class="checkout-form-list">
                                                                <label>Address Description <span
                                                                        class="required">*</span></label>
                                                                <input type="text" name="address"
                                                                    value="{{ $item['desc'] }}" required>
                                                            </div>
                                                        </div>
                                                        <div class="col-md-6">
                                                            <div class="checkout-form-list">
                                                                <label>Street <span class="required">*</span></label>
                                                                <input type="text" name="calle"
                                                                    value="{{ $item['calle'] }}" required>
                                                            </div>
                                                        </div>
                                                        <div class="col-md-6">
                                                            <div class="checkout-form-list">
                                                                <label>Number <span class="required">*</span></label>
                                                                <input type="text" name="numExt"
                                                                    value="{{ $item['numero_ext'] }}" required>
                                                            </div>
                                                        </div>
                                                        <div class="col-md-6">
                                                            <div class="checkout-form-list">
                                                                <label>Number (internal)</label>
                                                                <input type="text" name="numInt"
                                                                    value="{{ $item['numero_int'] }}">
                                                            </div>
                                                        </div>
                                                        <div class="col-md-6">
                                                            <div class="checkout-form-list">
                                                                <label>Intersections 1</label>
                                                                <input type="text" name="cruzamiento1"
                                                                    value="{{ $item['cruzamiento_1'] }}">
                                                            </div>
                                                        </div>
                                                        <div class="col-md-6">
                                                            <div class="checkout-form-list">
                                                                <label>Intersection 2 </label>
                                                                <input type="text" name="cruzamiento2"
                                                                    value="{{ $item['cruzamiento_2'] }}">
                                                            </div>
                                                        </div>
                                                        <div class="col-md-6">
                                                            <div class="checkout-form-list">
                                                                <label>Zip Code <span class="required">*</span></label>
                                                                <input type="text" name="codigoPostal"
                                                                    value="{{ $item['codigo_postal'] }}" required>
                                                            </div>
                                                        </div>


                                                        <div class="col-md-12">
                                                            <div class="checkout-form-list">
                                                                <label>Neigborhood <span
                                                                        class="required">*</span></label>
                                                                <input type="text" name="asentamiento"
                                                                    value="{{ $item['colonia'] }}" required>
                                                            </div>
                                                        </div>
                                                        <div class="col-md-12">
                                                            <div class="checkout-form-list">
                                                                <label>Province <span class="required">*</span></label>
                                                                <input type="text" name="municipio"
                                                                    value="{{ $item['municipio'] }}" required>
                                                            </div>
                                                        </div>
                                                        <div class="col-md-12">
                                                            <div class="checkout-form-list">
                                                                <label>State <span class="required">*</span></label>
                                                                <input type="text" name="estado"
                                                                    value="{{ $item['estado'] }}" required>
                                                            </div>
                                                        </div>
                                                        <div class="col-md-12">
                                                            <div class="checkout-form-list">
                                                                <label>Country <span class="required">*</span></label>
                                                                <input type="text" name="pais"
                                                                    value="{{ $item['pais'] }}" required>
                                                            </div>
                                                        </div>
                                                        <div class="col-md-12">
                                                            <div class="checkout-form-list">
                                                                <label>Address References <span
                                                                        class="required">*</span></label>
                                                                <input type="text" name="referencia"
                                                                    value="{{ $item['referencias'] }}" required>
                                                            </div>
                                                        </div>
                                                        <div class="col-md-12">
                                                            {{ $item['predeterminada'] ? 'Default Address' : 'Not Default Address' }}

                                                            <div class="form-check">
                                                                <input class="form-check-input" type="radio"
                                                                    name="predeterminada" id="predeterminada1"
                                                                    value="1"
                                                                    {{ $item['predeterminada'] ? 'checked' : '' }}>
                                                                <label class="form-check-label" for="predeterminada1">
                                                                    Default Address
                                                                </label>
                                                            </div>

                                                            <div class="form-check">
                                                                <input class="form-check-input" type="radio"
                                                                    name="predeterminada" id="predeterminada2"
                                                                    value="0"
                                                                    {{ !$item['predeterminada'] ? 'checked' : '' }}>
                                                                <label class="form-check-label" for="predeterminada2">
                                                                    Not Default Address
                                                                </label>
                                                            </div>
                                                        </div>

                                                        <input type="hidden" name="id"
                                                            value="{{ $item['id'] }}">
                                                        <div class="col-md-12">
                                                            <div class="payment-method">
                                                                <div class="order-button-payment mt-20">
                                                                    <button type="submit"
                                                                        class="tp-btn-h1">Save</button>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>

                                            </form>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            @endforeach
        @endif

    </main>

    @include('website.layouts.footer')

    <!-- JS here -->
    @include('website.layouts.scripts')
</body>

</html>
