<form action="" method="GET" onsubmit="updateSelectedIds()">
    <div class="features-container">
        <div class="product-widget mb-30">
            <h5 class="pt-title one-text-theme">
                Sort by existence
            </h5>
            <div class="widget-category-list mt-20">
                <div>
                    <div class="single-widget-category">
                        <input type="checkbox" name="quantityOption" value="0" id="greaterQuantity">
                        <label class="one-text-theme" for="greaterQuantity">Greater quantity</label>
                    </div>
                    <div class="single-widget-category">
                        <input type="checkbox" name="quantityOption" value="1" id="lessQuantity">
                        <label class="one-text-theme" for="lessQuantity">Less quantity</label>
                    </div>

                    <script>
                        // Al cargar la página, verificamos si la URL contiene el parámetro 'qty' y marcamos el checkbox correspondiente
                        document.addEventListener("DOMContentLoaded", function() {
                            const currentUrl = new URL(window.location.href);
                            const qtyValue = currentUrl.searchParams.get('tip');

                            if (qtyValue !== null) {
                                const checkboxToSelect = document.querySelector(
                                    `input[name="quantityOption"][value="${qtyValue}"]`);
                                if (checkboxToSelect) {
                                    checkboxToSelect.checked = true;
                                }
                            }
                        });

                        // Evento change para cada checkbox
                        document.querySelectorAll('input[name="quantityOption"]').forEach(function(checkbox) {
                            checkbox.addEventListener('change', function() {
                                const currentUrl = new URL(window.location.href);

                                if (this.checked) {
                                    // Deseleccionar el otro checkbox
                                    document.querySelectorAll('input[name="quantityOption"]').forEach(cb => {
                                        if (cb !== this) {
                                            cb.checked = false;
                                        }
                                    });

                                    // Actualizar o agregar el parámetro 'qty' con el valor del checkbox seleccionado
                                    currentUrl.searchParams.set('tip', this.value);
                                } else {
                                    // Si se desmarca, eliminar el parámetro 'qty'
                                    currentUrl.searchParams.delete('tip');
                                }

                                // Redirigir a la nueva URL con el parámetro actualizado
                                window.location.href = currentUrl.toString();
                            });
                        });
                    </script>
                </div>

            </div>
        </div>
    </div>

</form>

@if (!empty($features))
    <form action="" method="GET" onsubmit="updateSelectedIds()">
        <div class="features-container">
            @foreach ($features as $feature)
                <div class="product-widget mb-30">
                    <h5 class="pt-title one-text-theme">
                        {{ $feature['nombre'] }}
                        <button class="btn-sm toggle-button"
                            onclick="toggleList(event, 'list-{{ $feature['id'] }}')">-</button>
                    </h5>
                    <div class="widget-category-list mt-20 {{ count($feature['options']) > 5 ? 'scrollable' : '' }}"
                        id="list-{{ $feature['id'] }}">
                        <div action="#">
                            @foreach ($feature['options'] as $option)
                                <div class="single-widget-category">
                                    <!-- Quitar el atributo name para no enviarlo por GET -->
                                    <input type="checkbox" id="cat-item-{{ $option['id'] }}"
                                        value="{{ $option['id'] }}">
                                    <label class="one-text-theme"
                                        for="cat-item-{{ $option['id'] }}">{{ $option['nombre'] }}</label>
                                </div>
                            @endforeach
                        </div>
                    </div>
                </div>
            @endforeach
        </div>

        <!-- Input oculto para almacenar los IDs seleccionados -->
        <input type="hidden" id="car" name="car">

        <script>
            function toggleList(event, listId) {
                event.preventDefault();
                const list = document.getElementById(listId);
                const button = event.target;

                if (list.style.display === "none") {
                    list.style.display = "block";
                    button.textContent = "-";
                } else {
                    list.style.display = "none";
                    button.textContent = "+";
                }
            }

            // Inicia las listas ocultas si es necesario
            document.querySelectorAll(".widget-category-list").forEach(list => {
                list.style.display = "block"; // Cambia a "none" si quieres que inicien ocultas
            });

            function updateSelectedIds() {
                const selectedCheckboxes = document.querySelectorAll('input[type="checkbox"]:checked');
                const selectedIds = Array.from(selectedCheckboxes).map(cb => cb.value).join('|');
                document.getElementById('car').value = selectedIds;
            }
        </script>

        <style>
            .toggle-button {
                border: none;
                background: none;
                cursor: pointer;
                font-size: 1em;
                padding: 0;
            }

            /* Define el estilo para las listas con scroll */
            .scrollable {
                max-height: 150px;
                overflow-y: auto;
            }

            /* Estilo específico para el scrollbar en los elementos con la clase scrollable */
            .scrollable::-webkit-scrollbar {
                width: 10px;
                background-color: black
                /* Ancho del scrollbar */
            }

            .scrollable::-webkit-scrollbar-thumb {
                background-color: rgb(69, 69, 69) !important;
                /* Color del scroll */
                border-radius: 10px;
                /* Radio para que tenga bordes redondeados */
            }

            .scrollable::-webkit-scrollbar-track {
                background: #666;
                /* Color del fondo del scrollbar */
            }
        </style>

        <div class="row">
            <div class="col-12 mb-5">
                <button type="submit" class="wc-checkout d-flex align-items-center justify-content-center w-100">
                    Filter
                </button>
            </div>
            <div class="col-12 mt-5">
                <a href="{{ route('website.products.index') }}">
                    <button type="button" onclick="clearFilters()"
                    class="wc-checkout d-flex align-items-center justify-content-center w-100">
                    Clear filters
                </button>
                </a>
            </div>
        </div>
    </form>
@else
    <div class="features-container">
        <div class="product-widget mb-30">
            <span class="one-text-theme">Filters not available</span>
        </div>
    </div>
@endif
