<!doctype html>
<html class="no-js" lang="zxx">
@include('website.layouts.head')

<body class="one-main-theme">

    {{--  @include('website.layouts.preloader')  --}}

    @include('website.layouts.button-back-to-top')

    @include('website.layouts.header')

    @include('website.layouts.offcanvas')

    <main>

        <section class="trending-product-area pt-25 pb-15">
            <div class="container custom-conatiner">
                <div class="row">
                    <div class="col-xl-12 text-center mt-50">
                        <h2 class="one-text-theme">
                            <i class="fa fa-plane" aria-hidden="true"></i>
                            Quote Your Shippment
                        </h2>


                        <form action="{{ route('website.quoteShippment.created') }}" method="POST">
                            @csrf
                            <div class="row">
                                <div class="col-12">
                                    <div class="row d-flex justify-content-center">
                                        <div class="col-3">
                                            <select class="form-select form-select-lg mb-3" name="typeShippment"
                                                id="typeShippment">
                                                <option selected value="">Select the shipping type</option>
                                                <option value="1"
                                                    {{ old('typeShippment') == 1 ? 'selected' : '' }}>Local
                                                </option>
                                                <option value="2"
                                                    {{ old('typeShippment') == 2 ? 'selected' : '' }}>
                                                    International</option>
                                            </select>
                                        </div>
                                    </div>
                                </div>


                                <div class="col-4 international-only shipping-field">
                                    <div class="input-group flex-nowrap">
                                        <span class="input-group-text span-input-shippmment"><i class="fa fa-plane"
                                                aria-hidden="true"></i></span>
                                        <input type="text" class="form-control" placeholder="Weight" name="weight"
                                            value="{{ old('weight') }}" id="weight">
                                    </div>
                                    @error('weight')
                                        <div class="text-danger">{{ $message }}</div>
                                    @enderror
                                </div>

                                <div class="col-4 shipping-field">
                                    <div class="input-group flex-nowrap">
                                        <span class="input-group-text span-input-shippmment"><i class="fa fa-plane"
                                                aria-hidden="true"></i></span>
                                        <input type="text" class="form-control" placeholder="Number of packages"
                                            name="numberPackage" value="{{ old('numberPackage') }}" id="numberPackage">
                                    </div>
                                    @error('numberPackage')
                                        <div class="text-danger">{{ $message }}</div>
                                    @enderror
                                </div>

                                <div class="col-4 shipping-field">
                                    <div class="input-group flex-nowrap">
                                        <span class="input-group-text span-input-shippmment"><i class="fa fa-plane"
                                                aria-hidden="true"></i></span>
                                        <input type="text" class="form-control"
                                            placeholder="Delivery Address including zip code" name="zipCode"
                                            value="{{ old('zipCode') }}" id="zipCode">
                                    </div>
                                    @error('zipCode')
                                        <div class="text-danger">{{ $message }}</div>
                                    @enderror
                                </div>



                                <div class="col-4 international-only shipping-field">
                                    <div class="input-group flex-nowrap">
                                        <span class="input-group-text span-input-shippmment"><i class="fa fa-plane"
                                                aria-hidden="true"></i></span>
                                        <input type="text" class="form-control" placeholder="Dimensions"
                                            name="dimensions" value="{{ old('dimensions') }}" id="dimensions">
                                    </div>
                                    @error('dimensions')
                                        <div class="text-danger">{{ $message }}</div>
                                    @enderror
                                </div>

                                <div class="col-4 international-only shipping-field">
                                    <div class="input-group flex-nowrap">
                                        <span class="input-group-text span-input-shippmment"><i class="fa fa-plane"
                                                aria-hidden="true"></i></span>
                                        <input type="text" class="form-control" placeholder="Type of product"
                                            name="typeProduct" value="{{ old('numberPackage') }}" id="typeProduct">
                                    </div>
                                    @error('typeProduct')
                                        <div class="text-danger">{{ $message }}</div>
                                    @enderror
                                </div>

                                <div class="col-4 international-only shipping-field">
                                    <div class="input-group flex-nowrap">
                                        <span class="input-group-text span-input-shippmment"><i class="fa fa-plane"
                                                aria-hidden="true"></i></span>
                                        <input type="text" class="form-control" placeholder="Value" name="value"
                                            value="{{ old('value') }}" id="value">
                                    </div>
                                    @error('value')
                                        <div class="text-danger">{{ $message }}</div>
                                    @enderror
                                </div>

                                <div class="col-12 text-center">
                                    <button class="btn btn-form-shippment" type="submit"><i class="fa fa-plane"
                                            aria-hidden="true"></i> Submit</button>


                                </div>
                            </div>
                        </form>

                        <div class="text-center" style="margin-top: 25px;">
                            @if (session('error-form'))
                                <div class="text-danger"><i class="fa fa-exclamation-triangle"
                                        aria-hidden="true"></i>
                                    {{ session('error-form') }}</div>
                            @endif
                        </div>
                        <script>
                            document.addEventListener('DOMContentLoaded', function() {
                                const typeShippment = document.getElementById('typeShippment');
                                const shippingFields = document.querySelectorAll('.shipping-field');
                                const submitButton = document.querySelector('.btn-form-shippment');

                                function toggleFields() {
                                    const iconClass = typeShippment.value === '1' ? 'fa-truck' : 'fa-plane';
                                    shippingFields.forEach(field => {
                                        const iconElement = field.querySelector('.input-group-text i');
                                        if (iconElement) {
                                            iconElement.className = `fa ${iconClass}`;
                                        }
                                    });

                                    if (typeShippment.value === '1') {
                                        shippingFields.forEach(field => field.style.display = 'none');
                                        document.getElementById('zipCode').parentNode.parentNode.style.display = '';
                                        document.getElementById('numberPackage').parentNode.parentNode.style.display = '';
                                        submitButton.style.display = '';
                                    } else if (typeShippment.value === '2') {
                                        shippingFields.forEach(field => field.style.display = '');
                                        submitButton.style.display = '';
                                    } else {
                                        shippingFields.forEach(field => field.style.display = 'none');
                                        submitButton.style.display = 'none';
                                    }
                                }

                                typeShippment.addEventListener('change', toggleFields);

                                toggleFields(); // Para aplicar cambios en caso de que haya valores pre-seleccionados
                            });
                        </script>
                    </div>
                </div>
            </div>
        </section>


    </main>

    @include('website.layouts.footer')

    <!-- JS here -->
    @include('website.layouts.scripts')
</body>

</html>
