<?php

use App\Http\Controllers\dashboard\agent\HomeAgentController;
use App\Http\Controllers\dashboard\agent\OrdersAgentController;
use App\Http\Controllers\dashboard\agent\ProfileAgentController;
use App\Http\Controllers\dashboard\customer\HomeCustomerController;
use App\Http\Controllers\dashboard\customer\OrdersCustomerController;
use App\Http\Controllers\dashboard\customer\ProfileCustomerController;
use App\Http\Controllers\dashboard\HomeController as DashboardHomeController;
use App\Http\Controllers\dashboard\vendor\AuthVendorController;
use App\Http\Controllers\dashboard\vendor\HomeVendorController;
use App\Http\Controllers\dashboard\vendor\LayoutsVendorController;
use App\Http\Controllers\dashboard\vendor\OrdersVendorController;
use App\Http\Controllers\dashboard\vendor\ProductsVendorController;
use App\Http\Controllers\dashboard\vendor\ProfileVendorController;
use App\Http\Controllers\website\AboutController;
use App\Http\Controllers\website\AuthController;
use App\Http\Controllers\website\CartController;
use App\Http\Controllers\website\CheckoutController;
use App\Http\Controllers\website\HomeController;
use App\Http\Controllers\website\LoginController;
use App\Http\Controllers\website\PolicesController;
use App\Http\Controllers\website\ProductsController;
use App\Http\Controllers\website\QuoteShippmentController;
use Illuminate\Support\Facades\Route;

Route::controller(HomeController::class)->group(function () {
    Route::get('/', 'index')->name('website.home.index');
});
Route::controller(AuthController::class)->group(function () {
    Route::get('/login', 'login')->name('website.auth.login');
    Route::post('/login-post', 'login_post')->name('website.auth.login.post');
    Route::post('/logout', 'logout')->name('website.auth.logout');
    Route::get('/register', 'register')->name('website.auth.register');
    Route::post('/register-post', 'register_post')->name('website.auth.register.post');
});

Route::controller(ProductsController::class)->group(function () {
    Route::get('/products', 'index')->name('website.products.index');
    Route::get('/products/{name}', 'show')->name('website.products.show');
    Route::get('/copyLink', 'copyLink')->name('website.products.copyLink');
});

Route::controller(CartController::class)->group(function () {
    Route::get('/cart', 'index')->name('website.cart.index');
    Route::post('/cart/add', 'add')->name('website.carrito.add');
    Route::post('/cart/removeitem', 'removeItem')->name('website.cart.removeitem');
    Route::post('/cart/incrementoitem', 'incrementoItem')->name('website.cart.incrementoitem');
    Route::post('/cart/decrementoitem', 'decrementoItem')->name('website.cart.decrementoitem');
});

Route::controller(CheckoutController::class)->group(function () {
    Route::get('/checkout', 'index')->name('website.checkout.index');
    Route::post('/created-direct', 'addDirection')->name('website.checkout.created-direction');
    Route::post('/delated-direct', 'delatedDirection')->name('website.checkout.delated-direction');
    Route::post('/edit-direct', 'editDirection')->name('website.checkout.edit-direction');
    Route::post('/created-orden', 'createdOrden')->name('website.checkout.createdOrden');
});

Route::controller(AboutController::class)->group(function () {
    Route::get('/about-us', 'view_aboutus')->name('website.about.index');
});

Route::controller(PolicesController::class)->group(function () {
    Route::get('/conditions-policies', 'view_conditions')->name('website.policies.index');
});

Route::controller(QuoteShippmentController::class)->group(function () {
    Route::get('/quote-shippment', 'index')->name('website.quoteShippment.index');
    Route::get('/quote-shippment-created', 'created')->name('website.quoteShippment.created');
});




Route::controller(HomeCustomerController::class)->group(function () {
    Route::get('/panel-customer-home', 'index')->name('customer.home.index')->middleware('verificarAutenticacion');
});

Route::controller(OrdersCustomerController::class)->group(function () {
    Route::get('/panel-customer-orders', 'index')->name('customer.orders.index')->middleware('verificarAutenticacion');
    Route::get('/panel-customer-orders/{id}', 'show')->name('customer.orders.show')->middleware('verificarAutenticacion');

});

Route::controller(ProfileCustomerController::class)->group(function () {
    Route::get('/panel-customer-profile', 'index')->name('customer.profile.index')->middleware('verificarAutenticacion');
    Route::get('/recovery-password', 'recovery')->name('customer.profile.recovery');
    Route::post('/recovery-password-send', 'recoverySend')->name('customer.profile.recoverySend');
    Route::get('/confirmation', 'confirmation')->name('customer.profile.confirmation');
    Route::post('/updated-paswword', 'updatedPwd')->name('customer.profile.updatedPwd');
    Route::get('/my-address', 'address')->name('customer.profile.address')->middleware('verificarAutenticacion');
    Route::get('/my-address/{id}', 'addressShow')->name('customer.profile.adressshow')->middleware('verificarAutenticacion');
});




// Route::controller(HomeAgentController::class)->group(function () {
//     Route::get('/panel-agent-home', 'index')->name('agent.home.index')->middleware('verificarAutenticacion');
// });

// Route::controller(OrdersAgentController::class)->group(function () {
//     Route::get('/panel-agent-purchases-orders', 'index')->name('agent.orders.index')->middleware('verificarAutenticacion');
// });

// Route::controller(ProfileAgentController::class)->group(function () {
//     Route::get('/panel-agent-profile', 'index')->name('agent.profile.index')->middleware('verificarAutenticacion');
// });




// Route::controller(AuthVendorController::class)->group(function () {
//     Route::get('/login-vendor', 'login')->name('vendor.auth.login');
//     Route::post('/login-post-vendor', 'login_post')->name('vendor.auth.login.post');
//     Route::post('/logout-vendor', 'logout')->name('vendor.auth.logout');
//     Route::get('/register-vendor', 'register')->name('vendor.auth.register');
//     Route::get('/register-vendor-post', 'register_post')->name('vendor.auth.register.post');
// });

// Route::controller(HomeVendorController::class)->group(function () {
//     Route::get('/panel-vendor-home', 'index')->name('vendor.home.index')->middleware('verificarAutenticacion');
// });

// Route::controller(OrdersVendorController::class)->group(function () {
//     Route::get('/panel-vendor-orders', 'index')->name('vendor.orders.index')->middleware('verificarAutenticacion');
//     Route::get('/panel-vendor-orders/{id}', 'show')->name('vendor.orders.show')->middleware('verificarAutenticacion');
// });

// Route::controller(ProductsVendorController::class)->group(function () {
//     Route::get('/panel-vendor-products', 'index')->name('vendor.products.index')->middleware('verificarAutenticacion');
// });

// Route::controller(LayoutsVendorController::class)->group(function () {
//     Route::get('/panel-vendor-layouts', 'index')->name('vendor.layouts.index')->middleware('verificarAutenticacion');
// });

// Route::controller(ProfileVendorController::class)->group(function () {
//     Route::get('/panel-vendor-profile', 'index')->name('vendor.profile.index')->middleware('verificarAutenticacion');
// });



