<!DOCTYPE html>
<html lang="en" data-bs-theme="dark">

<?php echo $__env->make('dashboard.layouts.head', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

<body>

    <div class="wrapper">

        <?php echo $__env->make('dashboard.layouts.header', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

        <?php echo $__env->make('dashboard.layouts.modal-theme', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

        <?php echo $__env->make('dashboard.layouts.nav', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

        <div class="page-content">
            <div class="container-fluid">

                <div class="row">
                    <div class="col-xl-12">
                        <form class="row" method="GET">
                            <div class="col-md-3">
                                <label class="fw-bold mt-1 pull-right">Initial Date: </label>
                                <input type="date" class="form-control"name="fch_ini"
                                    value="2024-11-01">
                                <small class="text-danger" id="errorInitialDate"></small>
                            </div>
                            <div class="col-md-3">
                                <label class="fw-bold mt-1  pull-right">Final Date: </label>
                                <input type="date" class="form-control"name="fch_fin"
                                    value="2024-11-11">
                                <small class="text-danger" id="errorFinalDate"></small>
                            </div>
                            <div class="col-md-3">
                                <label class="fw-bold mt-1 pull-right">Status: </label>
                                <select name="sts" class="form-control">
                                    <option value="0">
                                        All
                                    </option>
                                    <option value="1">
                                        Confirmed
                                    </option>
                                    <option value="2">
                                        Ready for pick up
                                    </option>
                                    <option value="3">
                                        Closed
                                    </option>
                                    <option value="4">
                                        Cancelled
                                    </option>
                                </select>
                            </div>
                            <div class="col-md-2">
                                <label class="fw-bold mt-1 pull-right">Search by SO: </label>
                                <input class="form-control" type="text" name="search" placeholder="Search by folio">
                            </div>
                            <div class="col-md-1">
                                <label class="fw-bold mt-1 pull-right">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</label>
                                <button type="submit" class="btn btn-primary" title="Search">
                                    <svg xmlns="http://www.w3.org/2000/svg" width="1em" height="1em" viewBox="0 0 24 24"><g fill="none" stroke="currentColor" stroke-width="1.5"><path stroke-linecap="round" d="M22 14v-2c0-3.771 0-5.657-1.172-6.828S17.771 4 14 4m0 18h-4c-3.771 0-5.657 0-6.828-1.172S2 17.771 2 14v-2c0-3.771 0-5.657 1.172-6.828S6.229 4 10 4M7 4V2.5M17 4V2.5"/><circle cx="18" cy="18" r="3"/><path stroke-linecap="round" d="M20.5 20.5L22 22m-.5-13H10.75M2 9h3.875"/></g></svg>
                                </button>
                            </div>
                        </form>

                    </div>


                </div>
                <div class="row">
                    <div class="col-xl-12">
                        <div class="card">
                            <div class="card-body">

                                <table class="table table-centered">
                                    <thead class="table-dark">
                                        <tr>
                                            <th scope="col">Date</th>
                                            <th scope="col">SO</th>
                                            <th scope="col">Due date</th>
                                            <th scope="col">Customer</th>
                                            <th scope="col">Contact</th>
                                            <th scope="col">Total</th>
                                            <th scope="col">Approved</th>
                                            <th scope="col">Balance</th>
                                            <th scope="col">Paid</th>
                                            <th scope="col">Status</th>
                                            <th scope="col">Packaging type</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <?php if(!empty($ordenes)): ?>
                                            <?php $__currentLoopData = $ordenes; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <tr>
                                                    <td><?php echo e($item['fecha_generado']); ?></td>
                                                    <td>
                                                        <a href="<?php echo e(route('customer.orders.show', ['id' => $item['id']])); ?>">
                                                            <?php echo e($item['folio']); ?>

                                                        </a>
                                                    </td>
                                                    <td><?php echo e($item['fecha_vencimiento']); ?></td>
                                                    <td><?php echo e($item['user_nombre']); ?></td>
                                                    <td><?php echo e($item['contacto']); ?></td>
                                                    <td><?php echo e($item['total']); ?></td>
                                                    <td><?php echo e($item['aprobado_name']); ?></td>
                                                    <td><?php echo e($item['saldo']); ?></td>
                                                    <td><?php echo e($item['pagado_status']); ?></td>
                                                    <td><?php echo e($item['estado']); ?></td>
                                                    <td><?php echo e($item['tipo_embalaje']); ?></td>
                                                </tr>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        <?php else: ?>
                                            <tr>
                                                <td colspan="11" class="text-center">
                                                    <?php echo e($mensaje); ?>

                                                </td>
                                            </tr>
                                        <?php endif; ?>
                                    </tbody>
                                </table>

                            </div>
                        </div>
                    </div>


                </div>

            </div>

            <?php echo $__env->make('dashboard.layouts.footer', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

        </div>
    </div>

    <?php echo $__env->make('dashboard.layouts.scripts', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

</body>

</html>
<?php /**PATH C:\xampp\htdocs\ecommerce-phonix\resources\views/dashboard/orders/index.blade.php ENDPATH**/ ?>