<!DOCTYPE html>
<html lang="es">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title><?php echo e($title); ?></title>
    <link rel="stylesheet" href="<?php echo e(asset('website/css/style-login.css')); ?>">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css">
</head>

<body>
    <div class="container fade-in">
        <div class="logo">
            <a href="<?php echo e(route('website.home.index')); ?>" class="logo-image"><img
                    src="<?php echo e(asset('website/img/basic/logo_phonix_black.png')); ?>" alt="logo"></a>
        </div>
        <h2>Sign In | Vendor</h2>
        <?php if(Request::is('login')): ?>
            <form action="<?php echo e(route('website.auth.login.post')); ?>" method="POST">
            <?php elseif(Request::is('login-vendor')): ?>
                <form action="<?php echo e(route('vendor.auth.login.post')); ?>" method="POST">
        <?php endif; ?>
        <?php echo csrf_field(); ?>
        <input type="email" name="user" placeholder="User email" required>
        <input type="password" name="password" placeholder="Password" required>
        <button type="submit">Login</button>
        <?php if(session('error')): ?>
            <div class="text-alert"><i class="fa fa-times-circle-o" aria-hidden="true"></i> <?php echo e(session('error')); ?></div>
        <?php endif; ?>
        <a href="">
            <small>Password Recovery</small>
        </a>
        <p>New? Create Account <a href="#"
                onclick="redirectWithAnimation('<?php echo e(route('website.auth.register')); ?>')">Register</a></p>
        </form>
    </div>

    <script src="<?php echo e(asset('website/js/script-login.js')); ?>"></script>
</body>

</html>
<?php /**PATH C:\xampp\htdocs\ecommerce-phonix\resources\views/dashboard/auth/login-vendor.blade.php ENDPATH**/ ?>