<!DOCTYPE html>
<?php echo $__env->make('website.layouts.auth.head', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

<body>
    <div class="container fade-in">
        <div class="logo">
            <a href="<?php echo e(route('website.home.index')); ?>" class="logo-image"><img
                    src="<?php echo e(asset('website/img/basic/logo_phonix_black.png')); ?>" alt="logo"></a>
        </div>
        <?php if(Request::is('login')): ?>
            <h2 class="title-user">Sign In | Customer</h2>
            <form id="loginForm" action="<?php echo e(route('website.auth.login.post')); ?>" method="POST">
            <?php elseif(Request::is('login-vendor')): ?>
                <h2>Sign In | Vendor</h2>
                <form id="loginForm" action="<?php echo e(route('vendor.auth.login.post')); ?>" method="POST">
        <?php endif; ?>
        <?php echo csrf_field(); ?>
        <input type="email" name="user" placeholder="User email" required>
        <input type="password" id="password" name="password" placeholder="Password" required>
        <button type="submit">Login</button>
        <?php if(session('error')): ?>
            <div class="text-alert"><i class="fa fa-times-circle-o" aria-hidden="true"></i> <?php echo e(session('error')); ?></div>
        <?php endif; ?>
        <?php if(Request::is('login')): ?>
            <a href="<?php echo e(route('customer.profile.recovery')); ?>">
            <?php elseif(Request::is('login-vendor')): ?>
                <a href="<?php echo e(route('customer.profile.recovery')); ?>">
        <?php endif; ?>
        <small>Password Recovery</small>
        </a>
        <p>New? Create Account <a href="#"
                onclick="redirectWithAnimation('<?php echo e(route('website.auth.register')); ?>')">Register</a></p>
        </form>
        <script>
            document.getElementById('loginForm').addEventListener('submit', function(event) {
                event.preventDefault(); // Previene el envío inmediato del formulario
                const passwordField = document.getElementById('password');
                const encodedPassword = btoa(passwordField.value); // Codifica la contraseña en Base64
                passwordField.value = encodedPassword; // Reemplaza el valor del campo con el codificado
                this.submit(); // Envía el formulario con el valor codificado
            });
        </script>
    </div>

    <script src="<?php echo e(asset('website/js/script-login.js')); ?>"></script>
</body>

</html>
<?php /**PATH C:\xampp\htdocs\ecommerce-phonix\resources\views/website/auth/login.blade.php ENDPATH**/ ?>